package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300101DeleteInput
 * @Description 项目对象删除的输入参数封装
 * @Author andy
 * @CreateDate 2013-12-10
 */
@Component
@Scope("prototype")
public class Rb0300101DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 项目id
     */
    private String projectId;

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
