package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300102MoveTgInput
 * @Description TG移动入参封装类
 * @Author andy
 * @CreateDate 2013-12-19
 */
@Component
@Scope("prototype")
public class Rb0300102MoveTgInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 被交换顺序的TG ID
     */
    private String targetTgId;

    /**
     * 当前TG ID
     */
    private String currentTgId;

    /**
     * @return the targetTgId
     */
    public String getTargetTgId() {
        return targetTgId;
    }

    /**
     * @param targetTgId the targetTgId to set
     */
    public void setTargetTgId(String targetTgId) {
        this.targetTgId = targetTgId;
    }

    /**
     * @return the currentTgId
     */
    public String getCurrentTgId() {
        return currentTgId;
    }

    /**
     * @param currentTgId the currentTgId to set
     */
    public void setCurrentTgId(String currentTgId) {
        this.currentTgId = currentTgId;
    }

}
