package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300110InitInput
 * @Description 项目视图页面初始化入参的封装类
 * @Author andy
 * @CreateDate 2014-03-03
 */
@Component
@Scope("prototype")
public class Rb0300103InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 项目Id
     */
    private String projectId;

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
