package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300106InitInput
 * @Description 任务审批查看初始化入参封装类
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
@Component
@Scope("prototype")
public class Rb0300106InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务标识
     */
    private String taskId;

    /**
     * @Fields flexNodeTitle : 国际化结点操作提示信息
     */
    private String flexNodeTitle;

    /**
     * @return the flexNodeTitle
     */
    public String getFlexNodeTitle() {
        return flexNodeTitle;
    }

    /**
     * @param flexNodeTitle the flexNodeTitle to set
     */
    public void setFlexNodeTitle(String flexNodeTitle) {
        this.flexNodeTitle = flexNodeTitle;
    }

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
