package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300141SearchGroupInput
 * @Description 项目成员搜索页面初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-26
 */
@Component
@Scope("prototype")
public class Rb0300141SearchGroupInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 组名
     */
    private String groupName;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * @return the groupName
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * @param groupName the groupName to set
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

}
