package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300220InitInput
 * @Description 任务列表初始化入参封装类
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
@Component
@Scope("prototype")
public class Rb0300220InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG标识
     */
    private String tgId;

    /**
     * @Fields flexNodeTitle : 国际化结点操作提示信息
     */
    private String flexNodeTitle;

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

    /**
     * @return the flexNodeTitle
     */
    public String getFlexNodeTitle() {
        return flexNodeTitle;
    }

    /**
     * @param flexNodeTitle the flexNodeTitle to set
     */
    public void setFlexNodeTitle(String flexNodeTitle) {
        this.flexNodeTitle = flexNodeTitle;
    }
}
