package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.entity.PmTgCheck;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300230SaveInput
 * @Description TG检查列表保存入参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300230SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 检查列表
     */
    private List<PmTgCheck> pmTgCheck;

    /**
     * @return the pmTgCheck
     */
    public List<PmTgCheck> getPmTgCheck() {
        return pmTgCheck;
    }

    /**
     * @param pmTgCheck the pmTgCheck to set
     */
    public void setPmTgCheck(List<PmTgCheck> pmTgCheck) {
        this.pmTgCheck = pmTgCheck;
    }

}
