package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300232InitInput
 * @Description TG检查项编辑初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300232InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * TG检查标识
     */
    private Integer tgCheckId;

    /**
     * @return the tgCheckId
     */
    public Integer getTgCheckId() {
        return tgCheckId;
    }

    /**
     * @param tgCheckId the tgCheckId to set
     */
    public void setTgCheckId(Integer tgCheckId) {
        this.tgCheckId = tgCheckId;
    }
}
