package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300241AddMemberInput
 * @Description TG增加成员入参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300241AddMemberInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型  1 TG, 2 TASK
     */
    private Integer selectType;

    /**
     * 选中成员列表
     */
    private String[] staffIds;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the staffIds
     */
    public String[] getStaffIds() {
        return staffIds;
    }

    /**
     * @param staffIds the staffIds to set
     */
    public void setStaffIds(String[] staffIds) {
        this.staffIds = staffIds;
    }

}
