package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300241InitInput
 * @Description TG添加成员初始入参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300241InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型 项目内: 1 TG, 2 Task
     */
    private Integer selectType;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }
}
