package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300330DeleteInput
 * @Description TASK检查项删除入参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300330DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * Task检查标识
     */
    private Integer taskCheckId;

    /**
     * @return the taskCheckId
     */
    public Integer getTaskCheckId() {
        return taskCheckId;
    }

    /**
     * @param taskCheckId the taskCheckId to set
     */
    public void setTaskCheckId(Integer taskCheckId) {
        this.taskCheckId = taskCheckId;
    }
}
