package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.entity.PmTaskCheck;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300330SaveInput
 * @Description TASK检查列表保存入参封装类
 * @Author ted
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300330SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 检查列表
     */
    private List<PmTaskCheck> pmTaskCheck;

    /**
     * @return the pmTaskCheck
     */
    public List<PmTaskCheck> getPmTaskCheck() {
        return pmTaskCheck;
    }

    /**
     * @param pmTaskCheck the pmTaskCheck to set
     */
    public void setPmTaskCheck(List<PmTaskCheck> pmTaskCheck) {
        this.pmTaskCheck = pmTaskCheck;
    }
}
