package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300332InitInput
 * @Description 任务检查项编辑页面初期化入参封装类
 * @Author ted
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300332InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务检查标识
     */
    private Integer taskCheckId;

    /**
     * @return the taskCheckId
     */
    public Integer getTaskCheckId() {
        return taskCheckId;
    }

    /**
     * @param taskCheckId the taskCheckId to set
     */
    public void setTaskCheckId(Integer taskCheckId) {
        this.taskCheckId = taskCheckId;
    }

}
