package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300360InitInput
 * @Description Task阶段检查入参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300360CheckInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * Task标识
     */
    private String taskId;

    /**
     * 业务类型
     */
    private String moduleId;

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }
}
