package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405201InitInput
 * @Description 预防性措施管理删除入参封装类
 * @Author denise
 * @CreateDate 2014-04-29
 */
@Component
@Scope("prototype")
public class Rb0405201DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划Id
     */
    private String ppPlanId;

    /**
     * @return the ppPlanId
     */
    public String getPpPlanId() {
        return ppPlanId;
    }

    /**
     * @param ppPlanId the ppPlanId to set
     */
    public void setPpPlanId(String ppPlanId) {
        this.ppPlanId = ppPlanId;
    }

}
