package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405201InitInput
 * @Description 预防性措施管理初始化入参封装类
 * @Author andy
 * @CreateDate 2014-04-22
 */
@Component
@Scope("prototype")
public class Rb0405201InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 可靠性项目标识
     */
    private String projectId;

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

}
