package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300160CheckInput
 * @Description 预防性措施规划阶段检查入参封装类
 * @Author andy.yan
 * @CreateDate 2014-05-04
 */
@Component
@Scope("prototype")
public class Rb0405211CheckInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划标识
     */
    private String proactivePlanId;

    /**
     * 业务类型
     */
    private String moduleId;

    /**
     * @return the proactivPlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivPlanId the proactivPlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }
}
