package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405213InitInput
 * @Description 预防性措施规划查看(列表)初始化入参封装类
 * @Author andy
 * @CreateDate 2014-05-05
 */
@Component
@Scope("prototype")
public class Rb0405213InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划Id
     */
    private String ppPlanId;

    /**
     * 预防性措施评估Id
     */
    private String proactiveId;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the proactiveId
     */
    public String getProactiveId() {
        return proactiveId;
    }

    /**
     * @param proactiveId the proactiveId to set
     */
    public void setProactiveId(String proactiveId) {
        this.proactiveId = proactiveId;
    }

    /**
     * @return the ppPlanId
     */
    public String getPpPlanId() {
        return ppPlanId;
    }

    /**
     * @param ppPlanId the ppPlanId to set
     */
    public void setPpPlanId(String ppPlanId) {
        this.ppPlanId = ppPlanId;
    }

}
