package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405231InitInput
 * @Description 预防性措施规划任务编辑初始化入参封装类
 * @Author andy
 * @CreateDate 2014-04-29
 */
@Component
@Scope("prototype")
public class Rb0405231InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性规划标识
     */
    private String proactivePlanId;

    /**
     * 预防性措施规划任务标识
     */
    private String planTaskId;

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the planTaskId
     */
    public String getPlanTaskId() {
        return planTaskId;
    }

    /**
     * @param planTaskId the planTaskId to set
     */
    public void setPlanTaskId(String planTaskId) {
        this.planTaskId = planTaskId;
    }

}
