package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.TaskPageModel;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300106InitOutput
 * @Description 任务审批查看初始化出参封装类
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
@Component
@Scope("prototype")
public class Rb0300106InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务审批查看
     */
    private List<TaskPageModel> tasks;

    /**
     * @Fields isAllCreate : 1是 | 0否
     */
    private int isAllCreate;

    /**
     * @return the tasks
     */
    public List<TaskPageModel> getTasks() {
        return tasks;
    }

    /**
     * @param tasks the tasks to set
     */
    public void setTasks(List<TaskPageModel> tasks) {
        this.tasks = tasks;
    }

    /**
     * @return the isAllCreate
     */
    public int getIsAllCreate() {
        return isAllCreate;
    }

    /**
     * @param isAllCreate the isAllCreate to set
     */
    public void setIsAllCreate(int isAllCreate) {
        this.isAllCreate = isAllCreate;
    }
}
