package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300111SaveOutput
 * @Description 项目对象创建出参封装类
 * @Author andy
 * @CreateDate 2013-12-10
 */
@Component
@Scope("prototype")
public class Rb0300111SaveOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 项目Id
     */
    private String projectId;

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

}
