package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241AddMembersOutput
 * @Description 项目成员选择页面添加成员初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300141AddMemberOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 成员集合
     */
    private List<Map<String, Object>> result;

    /**
     * @return the result
     */
    public List<Map<String, Object>> getResult() {
        return result;
    }

    /**
     * @param result the result to set
     */
    public void setResult(List<Map<String, Object>> result) {
        this.result = result;
    }

}
