package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300212InitOutput
 * @Description TG编辑初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-17
 */
@Component
@Scope("prototype")
public class Rb0300212InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG标识
     */
    private String tgId;

    /**
     * TG描述
     */
    private String description;

    /**
     * TG名称
     */
    private String tgName;

    /**
     * 预计开始时间
     */
    private String planStartTime;

    /**
     * 预计结束时间
     */
    private String planEndTime;

    /**
     * TG序号
     */
    private String sort;

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the tgName
     */
    public String getTgName() {
        return tgName;
    }

    /**
     * @param tgName the tgName to set
     */
    public void setTgName(String tgName) {
        this.tgName = tgName;
    }

    /**
     * @return the planStartTime
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the sort
     */
    public String getSort() {
        return sort;
    }

    /**
     * @param sort the sort to set
     */
    public void setSort(String sort) {
        this.sort = sort;
    }

}
