package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300232InitOutput
 * @Description 任务检查项编辑页面初期化出参封装类
 * @Author ted
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300332InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务检查标识
     */
    private Integer taskCheckId;

    /**
     * 检查任务
     */
    private String object;

    /**
     * 检查内容
     */
    private String content;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the object
     */
    public String getObject() {
        return object;
    }

    /**
     * @param object the object to set
     */
    public void setObject(String object) {
        this.object = object;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the taskCheckId
     */
    public Integer getTaskCheckId() {
        return taskCheckId;
    }

    /**
     * @param taskCheckId the taskCheckId to set
     */
    public void setTaskCheckId(Integer taskCheckId) {
        this.taskCheckId = taskCheckId;
    }

}
