package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.PpPlanPageModel;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0405201InitOutput
 * @Description 预防性措施管理初始化输出参数的封装类
 * @Author andy
 * @CreateDate 2014-04-22
 */
@Component
@Scope("prototype")
public class Rb0405201InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回结果
     */
    private List<PpPlanPageModel> proactivePlanList;

    /**
     * 可靠性项目标识
     */
    private String projectId;

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the proactivePlanList
     */
    public List<PpPlanPageModel> getProactivePlanList() {
        return proactivePlanList;
    }

    /**
     * @param proactivePlanList the proactivePlanList to set
     */
    public void setProactivePlanList(List<PpPlanPageModel> proactivePlanList) {
        this.proactivePlanList = proactivePlanList;
    }

}
