package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405202InitOutput
 * @Description 预防性措施规划创建出参的封装类
 * @Author andy
 * @CreateDate 2014-04-23
 */
@Component
@Scope("prototype")
public class Rb0405202SaveOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * @Fields ppPlanId : 规划标识
     */
    private String ppPlanId;

    /**
     * @return the ppPlanId
     */
    public String getPpPlanId() {
        return ppPlanId;
    }

    /**
     * @param ppPlanId the ppPlanId to set
     */
    public void setPpPlanId(String ppPlanId) {
        this.ppPlanId = ppPlanId;
    }
}
