package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405231SaveOutput
 * @Description 预防性措施规划任务编辑保存出参的封装类
 * @Author andy
 * @CreateDate 2014-04-29
 */
@Component
@Scope("prototype")
public class Rb0405231SaveOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性规划标识
     */
    private String proactivePlanId;

    /**
     * 所属TG标识
     */
    private String tgId;

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

}
