// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.entity.base;

/**
 * @ClassName AbstractpaPart
 * @Description PA预防性措施评估部件表基类
 * @Author 自动生成
 * @CreateDate 2014-4-25
 * @Version V1.0
 */
public abstract class AbstractPaPart {

    /** 措施评估部件关系主键 */
    private String paPartId;

    /** 预防性措施评估ID */
    private String paAnalysisId;

    /** 序号 */
    private Long sortNumber;

    /** 零部件号 */
    private String partNumber;

    /** 零部件名称 */
    private String partName;

    /** 风险等级ID */
    private String riskLevelId;

    /** 风险等级系数 */
    private Double riskLevelValue;

    /** 可靠性风险系数 */
    private Double reliaRiskValue;

    /** 执行后风险系数 */
    private Double reRiskAfterValue;

    /** 措施数 */
    private Long paQuantity;

    /** 创建时间 */
    private java.util.Date insertTime;

    /** 创建者 */
    private String insertUserId;

    /** 创建程序ID */
    private String insertPgmId;

    /** 更新时间 */
    private java.util.Date updateTime;

    /** 更新者 */
    private String updateUserId;

    /** 更新程序ID */
    private String updatePgmId;

    /** 版本号 */
    private Integer versionNo;


    /**
     * @return the paPartId
     */
    public String getPaPartId() {
        return paPartId;
    }
    /**
     * @param paPartId the paPartId to set
     */
    public void setPaPartId(String paPartId) {
        this.paPartId = paPartId;
    }
    /**
     * @return the paAnalysisId
     */
    public String getPaAnalysisId() {
        return paAnalysisId;
    }
    /**
     * @param paAnalysisId the paAnalysisId to set
     */
    public void setPaAnalysisId(String paAnalysisId) {
        this.paAnalysisId = paAnalysisId;
    }
    /**
     * @return the sortNumber
     */
    public Long getSortNumber() {
        return sortNumber;
    }
    /**
     * @param sortNumber the sortNumber to set
     */
    public void setSortNumber(Long sortNumber) {
        this.sortNumber = sortNumber;
    }
    /**
     * @return the partNumber
     */
    public String getPartNumber() {
        return partNumber;
    }
    /**
     * @param partNumber the partNumber to set
     */
    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }
    /**
     * @return the partName
     */
    public String getPartName() {
        return partName;
    }
    /**
     * @param partName the partName to set
     */
    public void setPartName(String partName) {
        this.partName = partName;
    }
    /**
     * @return the riskLevelId
     */
    public String getRiskLevelId() {
        return riskLevelId;
    }
    /**
     * @param riskLevelId the riskLevelId to set
     */
    public void setRiskLevelId(String riskLevelId) {
        this.riskLevelId = riskLevelId;
    }
    /**
     * @return the riskLevelValue
     */
    public Double getRiskLevelValue() {
        return riskLevelValue;
    }
    /**
     * @param riskLevelValue the riskLevelValue to set
     */
    public void setRiskLevelValue(Double riskLevelValue) {
        this.riskLevelValue = riskLevelValue;
    }
    /**
     * @return the reliaRiskValue
     */
    public Double getReliaRiskValue() {
        return reliaRiskValue;
    }
    /**
     * @param reliaRiskValue the reliaRiskValue to set
     */
    public void setReliaRiskValue(Double reliaRiskValue) {
        this.reliaRiskValue = reliaRiskValue;
    }
    /**
     * @return the reRiskAfterValue
     */
    public Double getReRiskAfterValue() {
        return reRiskAfterValue;
    }
    /**
     * @param reRiskAfterValue the reRiskAfterValue to set
     */
    public void setReRiskAfterValue(Double reRiskAfterValue) {
        this.reRiskAfterValue = reRiskAfterValue;
    }
    /**
     * @return the paQuantity
     */
    public Long getPaQuantity() {
        return paQuantity;
    }
    /**
     * @param paQuantity the paQuantity to set
     */
    public void setPaQuantity(Long paQuantity) {
        this.paQuantity = paQuantity;
    }
    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }
    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }
    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }
    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }
    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }
    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }
    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }
    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
     * @return the updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }
    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }
    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }
    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }
    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
