// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.entity.base;

/**
 * @ClassName AbstractpmProject
 * @Description 项目信息表基类
 * @Author 自动生成
 * @CreateDate 2014-3-4
 * @Version V1.0
 */
public abstract class AbstractPmProject {

    /**
     * 项目标识
     */
    private String projectId;

    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 对象ID
     */
    private String objectId;

    /**
     * 对象名称
     */
    private String objectName;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目应用
     */
    private String projectApp;

    /**
     * 预计开始时间
     */
    private java.util.Date planStartTime;

    /**
     * 预计结束时间
     */
    private java.util.Date planEndTime;

    /**
     * 实际开始时间
     */
    private java.util.Date startTime;

    /**
     * 实际结束时间
     */
    private java.util.Date endTime;

    /**
     * 完成度
     */
    private java.math.BigDecimal percent;

    /**
     * 描述
     */
    private String description;

    /**
     * 可靠性流程模板标识
     */
    private String templateId;

    /**
     * 周期状态
     */
    private String lifeState;

    /**
     * 发布时间
     */
    private java.util.Date releaseTime;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private String insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private String updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;

    /**
     * 版本号
     */
    private Integer versionNo;


    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the projectCode
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * @param projectCode the projectCode to set
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    /**
     * @return the projectName
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * @param projectName the projectName to set
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * @return the objectId
     */
    public String getObjectId() {
        return objectId;
    }

    /**
     * @param objectId the objectId to set
     */
    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    /**
     * @return the objectName
     */
    public String getObjectName() {
        return objectName;
    }

    /**
     * @param objectName the objectName to set
     */
    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    /**
     * @return the projectType
     */
    public String getProjectType() {
        return projectType;
    }

    /**
     * @param projectType the projectType to set
     */
    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    /**
     * @return the projectApp
     */
    public String getProjectApp() {
        return projectApp;
    }

    /**
     * @param projectApp the projectApp to set
     */
    public void setProjectApp(String projectApp) {
        this.projectApp = projectApp;
    }

    /**
     * @return the planStartTime
     */
    public java.util.Date getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(java.util.Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public java.util.Date getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(java.util.Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the startTime
     */
    public java.util.Date getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(java.util.Date startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public java.util.Date getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(java.util.Date endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the percent
     */
    public java.math.BigDecimal getPercent() {
        return percent;
    }

    /**
     * @param percent the percent to set
     */
    public void setPercent(java.math.BigDecimal percent) {
        this.percent = percent;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the templateId
     */
    public String getTemplateId() {
        return templateId;
    }

    /**
     * @param templateId the templateId to set
     */
    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the releaseTime
     */
    public java.util.Date getReleaseTime() {
        return releaseTime;
    }

    /**
     * @param releaseTime the releaseTime to set
     */
    public void setReleaseTime(java.util.Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    /**
     * @return the delFlag
     */
    public String getDelFlag() {
        return delFlag;
    }

    /**
     * @param delFlag the delFlag to set
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
