// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.entity.base;

/**
 * @ClassName AbstractppPlanTask
 * @Description 预防性措施规划任务表基类
 * @Author 自动生成
 * @CreateDate 2014-4-25
 * @Version V1.0
 */
public abstract class AbstractPpPlanTask {

    /**
     * 预防性措施规划任务标识
     */
    private String ppPlanTaskId;

    /**
     * 预防性措施规划标识
     */
    private String ppPlanId;

    /**
     * 零部件号
     */
    private String partNumber;

    /**
     * 零部件名称
     */
    private String partName;

    /**
     * 可靠性风险系数
     */
    private java.math.BigDecimal reliaRiskValue;

    /**
     * 执行后风险系数
     */
    private java.math.BigDecimal reRiskAfterValue;

    /**
     * 措施种类ID
     */
    private String paTypeId;

    /**
     * 措施名称
     */
    private String paName;

    /**
     * 风险降低值
     */
    private java.math.BigDecimal riskDownValue;

    /**
     * 规划任务名称
     */
    private String planTaskName;

    /**
     * TG标识
     */
    private String planTgId;

    /**
     * 预计开始时间
     */
    private java.util.Date planStartTime;

    /**
     * 预计结束时间
     */
    private java.util.Date planEndTime;

    /**
     * 描述
     */
    private String description;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private String insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private String updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;

    /**
     * 版本号
     */
    private Integer versionNo;


    /**
     * @return the ppPlanTaskId
     */
    public String getPpPlanTaskId() {
        return ppPlanTaskId;
    }

    /**
     * @param ppPlanTaskId the ppPlanTaskId to set
     */
    public void setPpPlanTaskId(String ppPlanTaskId) {
        this.ppPlanTaskId = ppPlanTaskId;
    }

    /**
     * @return the ppPlanId
     */
    public String getPpPlanId() {
        return ppPlanId;
    }

    /**
     * @param ppPlanId the ppPlanId to set
     */
    public void setPpPlanId(String ppPlanId) {
        this.ppPlanId = ppPlanId;
    }

    /**
     * @return the partNumber
     */
    public String getPartNumber() {
        return partNumber;
    }

    /**
     * @param partNumber the partNumber to set
     */
    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    /**
     * @return the partName
     */
    public String getPartName() {
        return partName;
    }

    /**
     * @param partName the partName to set
     */
    public void setPartName(String partName) {
        this.partName = partName;
    }

    /**
     * @return the reliaRiskValue
     */
    public java.math.BigDecimal getReliaRiskValue() {
        return reliaRiskValue;
    }

    /**
     * @param reliaRiskValue the reliaRiskValue to set
     */
    public void setReliaRiskValue(java.math.BigDecimal reliaRiskValue) {
        this.reliaRiskValue = reliaRiskValue;
    }

    /**
     * @return the reRiskAfterValue
     */
    public java.math.BigDecimal getReRiskAfterValue() {
        return reRiskAfterValue;
    }

    /**
     * @param reRiskAfterValue the reRiskAfterValue to set
     */
    public void setReRiskAfterValue(java.math.BigDecimal reRiskAfterValue) {
        this.reRiskAfterValue = reRiskAfterValue;
    }

    /**
     * @return the paTypeId
     */
    public String getPaTypeId() {
        return paTypeId;
    }

    /**
     * @param paTypeId the paTypeId to set
     */
    public void setPaTypeId(String paTypeId) {
        this.paTypeId = paTypeId;
    }

    /**
     * @return the paName
     */
    public String getPaName() {
        return paName;
    }

    /**
     * @param paName the paName to set
     */
    public void setPaName(String paName) {
        this.paName = paName;
    }

    /**
     * @return the riskDownValue
     */
    public java.math.BigDecimal getRiskDownValue() {
        return riskDownValue;
    }

    /**
     * @param riskDownValue the riskDownValue to set
     */
    public void setRiskDownValue(java.math.BigDecimal riskDownValue) {
        this.riskDownValue = riskDownValue;
    }

    /**
     * @return the planTaskName
     */
    public String getPlanTaskName() {
        return planTaskName;
    }

    /**
     * @param planTaskName the planTaskName to set
     */
    public void setPlanTaskName(String planTaskName) {
        this.planTaskName = planTaskName;
    }

    /**
     * @return the planTgId
     */
    public String getPlanTgId() {
        return planTgId;
    }

    /**
     * @param planTgId the planTgId to set
     */
    public void setPlanTgId(String planTgId) {
        this.planTgId = planTgId;
    }

    /**
     * @return the planStartTime
     */
    public java.util.Date getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(java.util.Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public java.util.Date getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(java.util.Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
