package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName BizcommonMapKeySet
 * @Description 业务Map键定义
 * @Author aaron
 * @CreateDate 2013-01-09
 */
public class BizcommonMapKeySet {

    private BizcommonMapKeySet() {
        super();
    }

    //===============
    // 系统模块表(输出参数key定义)
    //===============
    // 业务主表名称
    public static final String KEY_R_TABLE_NAME = "TABLE_NAME";
    // 业务表主键
    public static final String KEY_R_FIELD_KEY = "FIELD_KEY";
    // 业务表周期状态
    public static final String KEY_R_FIELD_STATUS = "FIELD_STATUS";
    // 业务表发布时间
    public static final String KEY_R_FIELD_RELEASE_TIME = "FIELD_RELEASE_TIME";
    // 业务表版本编码
    public static final String KEY_R_FIELD_VERSION_CODE = "FIELD_VERSION_CODE";
    // 业务表字段Name
    public static final String KEY_R_FIELD_NAME = "FIELD_NAME";
    // 业务表id值
    public static final String KEY_R_BUSINESS_ID = "BUSINESS_ID";
    // 审批数据标识
    public static final String KEY_R_APPR_DATA_ID = "APPR_DATA_ID";
    // 业务表Name值
    public static final String KEY_R_BUSINESS_NAME = "BUSINESS_NAME";
    // 通知方式
    public static final String KEY_R_NOTICE_FLAG = "NOTICE_FLAG";
    // 业务数据查看链接
    public static final String KEY_R_BUSINESS_URL = "BUSINESS_URL";

    //===============
    // 目标设定(输入参数key定义)
    //===============
    // 目标设定 生命周期
    public static final String KEY_S_TARGETSETLIFESTATE = "_keyLifeState";
    // 目标类型
    public static final String KEY_S_TARGETSETTYPE = "_keyTtargetSetType";
    // 目标设定名称
    public static final String KEY_S_TARGETSETNAME = "_keyTargetSetName";
    // 项目名称
    public static final String KEY_S_TARGETSET_PROJECTNAME = "_keyProjectName";
    // 分析对象
    public static final String KEY_S_TARGETSET_OBJECTNAME = "_keyObjectName";
    // 目标设定方法
    public static final String KEY_S_TARGETSET_METHOD = "_keyTargetSetMethod";

    //=============
    // 目标设定   code表CM_NAME 输出
    //=============
    // 设定方法-名称
    public static final String KEY_R_TARGETSET_REFER_FLAG_NAME = "REFER_FLAG_NAME";
    // 指标单位-名称
    public static final String KEY_R_TARGETSET_REFER_UNIT_NAME = "REFER_UNIT_NAME";

    //===============
    // 审批管理(输入参数key定义)
    //===============
    /**
     * @Fields KEY_APPROVE_CONTENT : 数据内容
     */
    public static final String KEY_APPROVE_CONTENT = "key_approveContent";
    /**
     * @Fields KEY_STATE : 状态
     */
    public static final String KEY_STATE = "key_state";
    /**
     * @Fields KEY_DATA_TYPE : 数据类型
     */
    public static final String KEY_DATA_TYPE = "key_dataType";
    /**
     * @Fields KEY_DATA_NAME : 数据名称
     */
    public static final String KEY_DATA_NAME = "key_dataName";
    /**
     * @Fields KEY_S_INSERTTIME : 开始时间
     */
    public static final String KEY_S_INSERTTIME = "key_s_insertTime";
    /**
     * @Fields KEY_E_INSERTTIME : 结束时间
     */
    public static final String KEY_E_INSERTTIME = "key_e_insertTime";
    /**
     * @Fields KEY_LOGINUSERID : 登录者
     */
    public static final String KEY_LOGINUSERID = "key_LoginUserId";
    /**
     * @Fields KEY_ACTION_ID : 动作
     */
    public static final String KEY_ACTION_ID = "key_actionId";

    //===============
    // 审批流程创建(输入参数key定义)
    //===============
    /**
     * @Fields KEY_MODULE_ID : 模板名称
     */
    public static final String KEY_PROCESS_NAME = "key_processName";
    /**
     * @Fields KEY_MODULE_ID : 模板类型
     */
    public static final String KEY_MODULE_ID = "key_ModuleId";
    /**
     * @Fields KEY_MODULE_ALL_ID : 所有类型
     */
    public static final String KEY_MODULE_ALL_ID = "key_ModuleAllId";
    /**
     * @Fields KEY_LIFE_STATE : 周期状态
     */
    public static final String KEY_LIFE_STATE = "key_lifeState";
    /**
     * @Fields KEY_LOGIN_USER_ID : 登录者
     */
    public static final String KEY_LOGIN_USER_ID = "key_LoginUserId";
    /**
     * @Fields KEY_INSERTUSERID : 创建者
     */
    public static final String KEY_INSERTUSERID = "key_InsertUserId";
    /**
     * @Fields KEY_RELEASE_TIME_START : 发布开始时间
     */
    public static final String KEY_RELEASE_TIME_START = "key_releaseTimeStart";
    /**
     * @Fields KEY_RELEASE_TIME_END : 发布结束时间
     */
    public static final String KEY_RELEASE_TIME_END = "key_releaseTimeEnd";
}
