// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName CalcOperatorType
 * @Description 操作符类型
 * @Author ted.liu
 * @CreateDate 2014-9-1
 */
public enum CalcOperatorType {

    /**
     * @Fields OP_EQ : 等于
     */
    OP_EQ("="),
    /**
     * @Fields OP_UNEQ : 不等于
     */
    OP_UNEQ("<>"),
    /**
     * @Fields OP_GT : 大于
     */
    OP_GT(">"),
    /**
     * @Fields OP_LT : 小于
     */
    OP_LT("<"),
    /**
     * @Fields OP_GTE : 大于等于
     */
    OP_GTE(">="),
    /**
     * @Fields OP_LTE : 小于等于
     */
    OP_LTE("<=");

    /**
     * @Fields operate : 操作符
     */
    private final String operate;

    /**
     * @return the operate
     */
    public String getOperate() {
        return operate;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param operate 操作符
     */
    CalcOperatorType(String operate) {
        this.operate = operate;
    }
}
