// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @ClassName Constants
 * @Description
 * @Author ligj
 * @CreateDate 2013-5-8
 * @Version V1.0
 */
public class Constants {

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    protected Constants() {
        super();
    }

    /**
     * 审批模板表名称
     */
    public static final String APPROVAL_TEMPLATE_TABLE_NAME = "approval_template";
    /**
     * 用户组别
     */
    // 是否为功能组，1 表示功能组,可修改组设置功能菜单权限.TODO 问国军
    public static final Integer AUTHGROUP_FUNCTIONTYPE = 1;

    /**
     * 用户组别
     */
    // 用户组的状态，只是针对于用户创建的组：1：表示启用； 0：表示废弃
    public static final Integer AUTHGROUPTYPE_STATE = 1;

    // 用户组的类型：1 表示系统固有组类型; 0 表示用户定义组类型
    public static final Integer AUTHGROUPTYPE_TYPE = 0;

    // 下列框key标识
    public static final String COMBOX_KEY = "code";

    // 下列框value标识
    public static final String COMBOX_VALUE = "name";

    // 统一返回提示信息域
    public static final String COMMON_MSG = "messagebox";

    /**
     * 数据锁控制表表名
     */
    public static final String DATA_LOCK_TABLE_NAME = "data_lock";

    // 删除标记 0表示未删除(默认值)，1表示已删除
    public static final String DEFAULT_DEL_FLAG = "0";

    // 更新版本号，初始值为1。更新后加1
    public static final Integer DEFAULT_VERSION_NO = 1;

    public static final String DEL_FLAG = "1";

    // 文档默认状态
    public static final Integer DOC_DEFAULT_STAGE = 150;
    // 文档表，默认版本号
    public static final Integer DOC_DEFAULT_VERSION = 1;

    /**
     * 文档表名称
     */
    public static final String DOC_TABLE_NAME = "doc";

    /**
     * 点
     */
    public static final String DOT = ".";

    /**
     * 左斜杠
     */
    public static final String SLASH = "/";

    /**
     * 右斜杠
     */
    public static final String RLASH = "\"";

    public static final String NULL = "Null";

    /**
     * 逻辑或
     */
    public static final String LOGICAL_OR = " || ";

    /**
     * 功能授权名称
     */
    public static final String GROUP_TYPE_NAME = "Function Group";

    /**
     * I18N Key 主键已存在
     */
    public static final String I18N_PRIMARY_KEY_EXISTED = "PrimaryKeyExisted";

    /**
     * 部件表名称
     */
    public static final String PART_CLASSIFICATION_TABLE_NAME = "part_classification";

    // 正常部件
    public static final Integer PART_NORMAL = 1;

    // 产品逻辑删除
    public static final Integer PRODUCT_DELETE = 0;

    // 正常产品
    public static final Integer PRODUCT_NORMAL = 1;

    /**
     * 产品家族谱
     */
    // 产品家族谱等级
    public static final Integer PRODUCTGROUP_LEVEL = 1;

    /**
     * rbom表名称
     */
    public static final String RBOM_LIST_TABLE_NAME = "rbom_list";


    public static final String SERVICE_FAIL = "error";

    // Action result
    public static final String SERVICE_SUCCESS = "success";

    // Action result
    public static final String SERVICE_APPROVAL = "approval";

    // Action result
    public static final String SERVICE_NOAPPROVAL = "noApproval";

    // Session Key
    public static final String SESSION_USER = "SESSION_USER";

    // stage searchable
    public static final Integer STAGE_CANSEARCH = 1;

    /**
     * @Fields JSON_ACTIONERRORS :  异步异常结果-错误信息
     */
    public static final String JSON_ACTIONINFOS = "actioninfos";

    /**
     * @Fields JSON_ACTIONERRORS :  异步异常结果-错误信息
     */
    public static final String JSON_ACTIONERRORS = "actionerrors";

    /**
     * @Fields JSON_ACTIONERRORS :  异步异常结果-错误信息
     */
    public static final String JSON_ACTIONWARNS = "actionwarns";

    /**
     * @Fields JSON_THREAD_STATE : 异步状态
     */
    public static final String JSON_THREAD_STATE = "threadState";

    /**
     * @Fields JSON_CURRENT_PHASE : 线程当前执行的状态
     */
    public static final String JSON_CURRENT_THREAD_PHASE = "currentThreadPhase";

    /**
     * @Fields JSON_STATE : 异步状态
     */
    public static final String JSON_STATE = "state";

    /**
     * @Fields JSON_OK : 异步正常结果
     */
    public static final String JSON_OK = "ok";

    /**
     * @Fields JSON_NG : 异步异常结果
     */
    public static final String JSON_NG = "ng";

    // weibull Action result
    // 样本数据搜索页面
    public static final String TO_SEARCH_PROJECT = "toSearchProject";
    // 文件上传页面
    public static final String TO_UPLOAD_FILE = "toUploadFile";
    // 手工输入 数据列选择页面
    public static final String TO_SELECTCOLUMN = "toSelectColumn";
    public static final String TO_MANUAL_INPUT = "toManualInput";
    // 随机数生成页面
    public static final String TO_RADOM_GENERAL = "toRadomGeneral";

    /**
     * Stage life cycle
     */
    // CREATE
    public static final Integer STAGE_LC_CREATE = 0;

    // UPDATE
    public static final Integer STAGE_LC_UPDATE = 1;

    // 审批模板默认状态
    public static final Integer STAGE_NORMAL = 50;
    public static final Integer STAGE_NOTSEARCH = 0;

    /**
     * 任务表名称
     */
    public static final String TASK_TABLE_NAME = "task";

    /**
     * 下划线
     */
    public static final String UNDER_SCORE = "_";

    /**
     * 用户表名称
     */
    public static final String USER_TABLE_NAME = "user";

    /**
     * User type
     */
    // ADMIN User
    public static final String USERTYPE_ADMIN = "1";


    // NORMAL User
    public static final String USERTYPE_NORMAL = "2";

    /**
     * EXCEL 2007之前excel文件的扩展名
     */
    public static final String XLS = "xls";

    /**
     * EXCEL 2007之后excel文件的扩展名
     */
    public static final String XLSX = "xlsx";
    public static final String XLSM = "xlsm";
    /**
     * xml文件的扩展名
     */
    public static final String XML = "xml";

    // 通用区分码
    public static final String C_STAT_0 = "0";
    @Deprecated
    public static final String C_STAT_1 = "1";
    @Deprecated
    public static final String C_STAT_2 = "2";

    // 常用数字
    @Deprecated
    public static final int C_NUM_0 = 0;
    @Deprecated
    public static final int C_NUM_1 = 1;
    @Deprecated
    public static final int C_NUM_2 = 2;

    // 表24位最大标识值
    public static final String MAX_ID = "999999999999999999999999";

    // 空格
    public static final String SPACE = " ";

    public static final String EXCEL_SPACE = "　";

    public static final String QUESTION = "?";

    // 零串
    public static final Integer N_ZERO = 0;

    // 空串
    public static final String BLANK = "";

    // NOT
    public static final String NOT = "not";

    // 分号
    public static final String SEMICOLON = ";";

    // 逗号
    public static final String COMMA = ",";

    public static final String CN_COMMA = "、";

    // 冒号
    public static final String COLON = ":";

    // 插入符号
    public static final String CARET = "^";

    // 短杠
    public static final String SHORT_BAR = "-";

    // 左中括号
    public static final String BARCKETS_LEFT = "[";

    // 右中括号
    public static final String BARCKETS_RIGHT = "]";

    // 右尖括号
    public static final String ANGLE_BRACKET_RIGHT = ">";

    // 右尖括号
    public static final String ANGLE_BRACKET_LEFT = "<";

    // 右尖括号 （特殊符号）
    public static final String SPECIAL_ANGLE_BRACKET_RIGHT = "﹥";

    // 右尖括号（特殊符号）
    public static final String SPECIAL_ANGLE_BRACKET_LEFT = "﹤";

    // 国际化标识
    public static final String LOCATE = "1";

    // 两个反斜杠
    public static final String DOUBLE_BACKSLASH_CHARACTER = "\\|";

    // weibull project数据源
    public static final String PROJECT_DATA_SOURCE_1 = "01"; //DataBase
    public static final String PROJECT_DATA_SOURCE_2 = "02"; //File
    public static final String PROJECT_DATA_SOURCE_3 = "03"; //Manual Input
    public static final String PROJECT_DATA_SOURCE_4 = "04"; //Group
    public static final String PROJECT_DATA_SOURCE_5 = "05"; //Random

    // weibull审批流程验证失败跳转页面的antion
    public static final String DATALIST_STRING = "/reliakits/Rb0402X12/init.do";
    public static final String MULTICHART_STRING = "/reliakits/Rb0402X13/init.do";

    // weibull T_WB_SAMPLE_DATA表(WB样本数据) event的取值 0表示Success(s), 1表示Failure(F)
    public static final String SUCCESS_0 = "0";
    public static final String FAILURE_1 = "1";

    // 部件树展示页面
    public static final String TREE_VIEW = "treeView";

    // weibull 删失类型
    public static final int NONE_CENSORED = 1; //没有删失数据
    public static final int RIGHT_CENSORED = 2; //指定数量失效后的数据为右删失数据
    public static final int TIME_CENSORED = 3; //在指定时间后的删失
    public static final int STOCHASTIC_CENSORED = 4; //随机删失

    // weibull 项目数据追加标记
    public static final String DATA_GROUP_ADD_FLAG = "data_group_add"; //没有删失数据

    // weibull DataGroupType类型
    public static final String COMPLETE_DATA_1 = "1"; // 完整数据
    public static final String CENSORED_DATA_2 = "2"; // 删失数据
    public static final String INTERVAL_DATA_3 = "3"; // 区间数据
    public static final String GROUP_DATA_4 = "4"; // 分组数据

    // weibull 选择的分组类型
    public static final String SELECT_SUBGROUP_ONLY_1 = "1"; // 仅包含选择子集
    public static final String SELECT_SUBGROUP_OTHERS_AS_SUSPENSION_2 = "2"; // 仅包含选择子集，其它做为删失
    // weibull
    public static final int DEFAULT_QUANTITY = 1; // 产品数量默认值1

    // weibull  分组数据默认值
    public static final String DEFAULT_IS_CHECK_GROUP_TYPE = "4";
    // 生命周期共享业务处理
    public static final String STAGE_SHARE_ACTION = "shareActionFlag";

    // 发布状态
    @Deprecated
    public static final String LIFE_STATE_10 = "10"; // lifecycle.doc.inwork
    @Deprecated
    public static final String LIFE_STATE_11 = "11"; // lifecycle.doc.wait.release
    @Deprecated
    public static final String LIFE_STATE_20 = "20"; // lifecycle.doc.release
    @Deprecated
    public static final String LIFE_STATE_21 = "21"; // lifecycle.doc.wait.obsolete
    @Deprecated
    public static final String LIFE_STATE_30 = "30"; // lifecycle.doc.obsolete

    // 首页待办任务数目
    public static final int CONST_TODO_TASK_COUNT = 5;

    // 操作类型
    /**
     * @Fields CONST_OPERATE_TYPE_CREATE : 新增
     */
    public static final String CONST_OPERATE_TYPE_ADD = "1";
    /**
     * @Fields CONST_OPERATE_TYPE_CREATE : 编辑
     */
    public static final String CONST_OPERATE_TYPE_EDIT = "2";

    // 信息类型
    /**
     * @Fields CONST_MESSAGE_TYPE_INFO : 提示信息
     */
    public static final String CONST_MESSAGE_TYPE_INFO = "1";
    /**
     * @Fields CONST_MESSAGE_TYPE_ERROR : 错误信息
     */
    public static final String CONST_MESSAGE_TYPE_ERROR = "2";
    /**
     * @Fields CONST_MESSAGE_TYPE_WARN : 警告信息
     */
    public static final String CONST_MESSAGE_TYPE_WARN = "3";

    // 全局国际化
    public static final String I18N_COMMON_SYSDATE = "common.sysdate";

    // 初始化标识
    public static final String BRANCH_FLAG_INIT = "1";

    /**
     * @Fields SYS_TASK_LIFE_STATE_PROGRESS : 任务表状态，进行中
     */
    public static final String SYS_TASK_LIFE_STATE_PROGRESS = "02";
    /**
     * @Fields SYS_TASK_LIFE_STATE_FINISH : 任务表状态，已完成
     */
    public static final String SYS_TASK_LIFE_STATE_FINISH = "03";
    public static final String LINE_SEPARATOR = "\n";
    public static final String AUTO = "auto";
    public static final int FMEA_EXPORT_PAGE_SIZE = 100;
    public static final int SXSSF_WINDOW_SIZE = 200000;
    public static final String CHECKBOX_DEFAULT_VALUE = "1";
    public static final String ACTIVE_DEFAULT_VALUE = "1";
    public static final String RB04260H2_EDIT_SHOW = "1";

    /**
     * 树根的左序号
     */
    public static final int TREE_TYPE_LEFT_NO = 1;
    /**
     * 树根的右序号
     */
    public static final int TREE_TYPE_RIGHT_NO = 2;
    /**
     * 树节点类型-非叶子节点
     */
    public static final String TREE_TYPE_NODE_NONLEAF = "0";
    /**
     * 树节点类型-叶子节点
     */
    public static final String TREE_TYPE_NODE_LEAF = "1";
    /**
     * 根节点层级
     */
    public static final int TREE_TYPE_ROOT_NODE_DEEP = 1;

    /**
     * 编码格式 1
     */
    public static final String CODING_FORMAT = "ISO8859-1";
    /**
     * 编码格式 2
     */
    public static final String CODING_FORMAT2 = "GBK";
    /**
     * 日期格式
     */
    public static final String DATE_FORMAT = "yyyyMMddHHmmss";
    /**
     * 时间格式
     */
    public static final String TIME_FORMAT = "yyyyMMdd";
    public static final String LAYOUT_TILES_SUB = "1";
    public static final String DB_TYPE_MYSQL = "mysql";
    public static final String DB_TYPE_SQLSERVER = "sqlServer";
    /**
     * json导出/导入用密钥
     */
    public static final int JSON_ENCRYPTION_CODE = 9;

    /**
     * FMEA标识
     */
    public static final String RFM_DFM = "1";
    public static final String RFM_PFM = "2";
    /**
     * 默认utf-8编码
     */
    public static final String DEFALUT_CHARSET = "utf-8";

    /**
     * 默认版本号
     */
    public static final String DEFALUT_VERSION = "1";

    /**
     * 用户是否在线状态
     */
    public static final String USER_IS_ONLINE_YES = "1";
    public static final String USER_IS_ONLINE_NO = "0";

    /**
     * 水印内容是否显示
     */
    public static final String WATERMARK_DISPLAY_YES = "0";
    public static final String WATERMARK_DISPLAY_NO = "1";

    /**
     * 水印功能是否启用
     */
    public static final String WATERMARK_ENABLE = "0";
    public static final String WATERMARK_DISABLE = "1";

    /**
     * 是否选中了复选框
     */
    public static final String CHECK_YES = "1";
    public static final String CHECK_NO = "0";

    /**
     * 1:线上试用用户 2:线下安装后的（正式/试用）客户
     */
    public static final String DISABLE_PROMPTS_ONLINE = "1";
    public static final String DISABLE_PROMPTS_OFFLINE = "2";

    /**
     * 水印配置内置数据标识
     */
    public static final String WATERMARK_ID = "10000000000000000000000000000000";
    /**
     * 百度翻译配置内置数据标识
     */
    public static final String TRANSLATE_CONFIG_ID = "10000000000000000000000000000000";
    /**
     * 邮箱配置内置数据标识
     */
    public static final String MAILBOX_CONFIG_ID = "10000000000000000000000000000000";

    // ===========
    // mail
    //============
    /**
     * UTF-8编码格式
     */
    public static final String ENCODING_FORMAT_UTF = "UTF-8";
    /**
     * 发件人昵称
     */
    public static final String SEND_EMAIL_PETNAME = "ReliaBench-RFMEA软件";

    // ===========
    // 邮件通知内容
    //============
    /**
     * 前缀：您已被
     */
    public static final String MAIL_CONTENT_PREFIX_DESIGNATED = "mail.content.prefix.designated";
    /**
     * 前缀：您创建的
     */
    public static final String MAIL_CONTENT_PREFIX_CREATE = "mail.content.prefix.create";
    /**
     * 前缀：您负责的
     */
    public static final String MAIL_CONTENT_PREFIX_RESPONSIBLE = "mail.content.prefix.responsible";
    /**
     * 前缀：您有新的
     */
    public static final String MAIL_CONTENT_PREFIX_NEW = "mail.content.prefix.new";
    /**
     * 前缀：您提交的
     */
    public static final String MAIL_CONTENT_PREFIX_COMMIT = "mail.content.prefix.commit";
    /**
     * 前缀：您参与的
     */
    public static final String MAIL_CONTENT_PREFIX_PARTICIPATORY = "mail.content.prefix.participatory";
    /**
     * 前缀：被共享给您的
     */
    public static final String MAIL_CONTENT_PREFIX_SHARED = "mail.content.prefix.shared";
    /**
     * 中缀：指定为
     */
    public static final String MAIL_CONTENT_INFIX_1 = "mail.content.infix.1";
    /**
     * 中缀：的编制者。
     */
    public static final String MAIL_CONTENT_INFIX_2 = "mail.content.infix.2";
    /**
     * 中缀：被
     */
    public static final String MAIL_CONTENT_INFIX_3 = "mail.content.infix.3";
    /**
     * 中缀：将编制者被设定为
     */
    public static final String MAIL_CONTENT_INFIX_4 = "mail.content.infix.4";
    /**
     * 中缀：中措施
     */
    public static final String MAIL_CONTENT_INFIX_5 = "mail.content.infix.5";
    /**
     * 中缀：的负责人，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_6 = "mail.content.infix.6";
    /**
     * 中缀：距任务规划日期只剩余“3”天，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_7 = "mail.content.infix.7";
    /**
     * 中缀：距任务规划日期只剩余“0”天，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_8 = "mail.content.infix.8";
    /**
     * 中缀：措施
     */
    public static final String MAIL_CONTENT_INFIX_9 = "mail.content.infix.9";
    /**
     * 中缀：审批任务，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_10 = "mail.content.infix.10";
    /**
     * 中缀：审批申请被同意。
     */
    public static final String MAIL_CONTENT_INFIX_11 = "mail.content.infix.11";
    /**
     * 中缀：审批申请被驳回。
     */
    public static final String MAIL_CONTENT_INFIX_12 = "mail.content.infix.12";
    /**
     * 中缀：发布审批申请被同意。
     */
    public static final String MAIL_CONTENT_INFIX_13 = "mail.content.infix.13";
    /**
     * 中缀：发布审批申请被驳回。
     */
    public static final String MAIL_CONTENT_INFIX_14 = "mail.content.infix.14";
    /**
     * 中缀：升版审批任务，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_15 = "mail.content.infix.15";
    /**
     * 中缀：升版审批申请被同意。
     */
    public static final String MAIL_CONTENT_INFIX_16 = "mail.content.infix.16";
    /**
     * 中缀：升版审批申请被驳回。
     */
    public static final String MAIL_CONTENT_INFIX_17 = "mail.content.infix.17";
    /**
     * 中缀：中FMEA被
     */
    public static final String MAIL_CONTENT_INFIX_18 = "mail.content.infix.18";
    /**
     * 中缀：中控制计划被
     */
    public static final String MAIL_CONTENT_INFIX_19 = "mail.content.infix.19";
    /**
     * 中缀：导出。
     */
    public static final String MAIL_CONTENT_INFIX_20 = "mail.content.infix.20";
    /**
     * 中缀：中控制计划被
     */
    public static final String MAIL_CONTENT_INFIX_21 = "mail.content.infix.21";
    /**
     * 中缀：中流程图被
     */
    public static final String MAIL_CONTENT_INFIX_22 = "mail.content.infix.22";
    /**
     * 中缀：中特性清单被
     */
    public static final String MAIL_CONTENT_INFIX_23 = "mail.content.infix.23";
    /**
     * 中缀：中DVP&R被
     */
    public static final String MAIL_CONTENT_INFIX_24 = "mail.content.infix.24";
    /**
     * 中缀：共享给
     */
    public static final String MAIL_CONTENT_INFIX_25 = "mail.content.infix.25";
    /**
     * 中缀：共享审批申请被同意。
     */
    public static final String MAIL_CONTENT_INFIX_26 = "mail.content.infix.26";
    /**
     * 中缀：共享审批申请被驳回。
     */
    public static final String MAIL_CONTENT_INFIX_27 = "mail.content.infix.27";
    /**
     * 中缀：发布审批任务，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_28 = "mail.content.infix.28";
    /**
     * 中缀：发布审批申请被同意。
     */
    public static final String MAIL_CONTENT_INFIX_29 = "mail.content.infix.29";
    /**
     * 中缀：发布审批申请被驳回。
     */
    public static final String MAIL_CONTENT_INFIX_30 = "mail.content.infix.30";
    /**
     * 中缀：共享审批任务，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_31 = "mail.content.infix.31";
    /**
     * 后缀：FMEA系统访问地址：
     */
    public static final String MAIL_CONTENT_SUFFIX = "mail.content.suffix";
    /**
     * 左中括号:【
     */
    public static final String MAIL_CONTENT_LEFT_BRACKET = "mail.content.leftBracket";
    /**
     * 右中括号 :】
     */
    public static final String MAIL_CONTENT_RIGHT_BRACKET = "mail.content.rightBracket";
    /**
     * 左小括号 :（
     */
    public static final String MAIL_CONTENT_LEFT_PARENTHESES = "mail.content.leftParentheses";
    /**
     * 右小括号 :）
     */
    public static final String MAIL_CONTENT_RIGHT_PARENTHESES = "mail.content.rightParentheses";
    /**
     * 句号 :。
     */
    public static final String MAIL_CONTENT_FULLSTOP = "mail.content.fullstop";
    /**
     * DFMEA
     */
    public static final String MAIL_CONTENT_D = "mail.content.d";
    /**
     * PFMEA
     */
    public static final String MAIL_CONTENT_P = "mail.content.p";
    /**
     * 用户
     */
    public static final String MAIL_CONTENT_SUFFIX_USER = "mail.content.suffix.user";
    /**
     * 用户组
     */
    public static final String MAIL_CONTENT_SUFFIX_GROUP = "mail.content.suffix.group";
    /**
     * 和
     */
    public static final String MAIL_CONTENT_SUFFIX_AND = "mail.content.suffix.and";
    /**
     * 邮件内容中的:
     */
    public static final String MAIL_CONTENT_COLON = ":";

    // ===========
    // 措施任务临期和到期邮件内容(备注：仅支持中文)
    //============
    /**
     * 前缀：您负责的
     */
    public static final String MAIL_CONTENT_PREFIX_RESPONSIBLE_CN = "您负责的";
    /**
     * R-DFMEA项目
     */
    public static final String MAIL_CONTENT_D_CN = "R-DFMEA项目";
    /**
     * R-PFMEA项目
     */
    public static final String MAIL_CONTENT_P_CN = "R-PFMEA项目";
    /**
     * 左小括号 :（
     */
    public static final String MAIL_CONTENT_LEFT_PARENTHESES_CN = "（";
    /**
     * 右小括号 :）
     */
    public static final String MAIL_CONTENT_RIGHT_PARENTHESES_CN = "）";
    /**
     * 中缀：中措施
     */
    public static final String MAIL_CONTENT_INFIX_5_CN = "中措施";
    /**
     * 左中括号:【
     */
    public static final String MAIL_CONTENT_LEFT_BRACKET_CN = "【";
    /**
     * 右中括号 :】
     */
    public static final String MAIL_CONTENT_RIGHT_BRACKET_CN = "】";
    /**
     * 中缀：距任务规划日期只剩余“3”天，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_7_CN = "距任务规划日期只剩余“3”天，请及时完成相关任务。 ";
    /**
     * 中缀：距任务规划日期只剩余“0”天，请及时完成相关任务。
     */
    public static final String MAIL_CONTENT_INFIX_8_CN = "距任务规划日期只剩余“0”天，请及时完成相关任务。";
    /**
     * 后缀：FMEA系统访问地址：
     */
    public static final String MAIL_CONTENT_SUFFIX_CN = "FMEA系统访问地址：";

    // 邮箱启用状态
    public static final String MAILBOX_ENABLE = "0";
    public static final String MAILBOX_PROHIBIT = "1";

    // 邮箱通知类型是否选择状态
    public static final String MAILBOX_NOTICE_TYPE_YES = "1";
    public static final String MAILBOX_NOTICE_TYPE_NO = "0";

    // ===========
    // 任务状态
    //============
    /**
     * 完成
     */
    public static final String LIFESTATE_TASK_COMPLETE = "20";
    // ===========
    // 接口库DFMEA默认
    //============
    /**
     * 默认选中
     */
    public static final String RDFM_API_DEFAULTDFLAG = "1";

    // ===========
    // 邮箱配置发件服务器的类型
    //============
    public static final String MAILBOX_TYPE_SMTP = "1";
    public static final String MAILBOX_TYPE_POP3 = "2";
    public static final String MAILBOX_TYPE_IMAP = "3";

    // 是否开启SSL安全认证（1：是，0否）
    public static final String SEND_SSL_STATE_YES = "1";
    public static final String SEND_SSL_STATE_NO = "0";
    /**
     * 接口库连接类型
     */
    public static final String RFM_API_CONNECT_P = "1";
    public static final String RFM_API_CONNECT_E = "2";
    public static final String RFM_API_CONNECT_I = "3";
    public static final String RFM_API_CONNECT_M = "4";
    public static final String RFM_API_CONNECT_HM = "5";

    // ===========
    // rfmea文件导出标记
    //============
    /**
     * 1：导出预览类型，空：正式导出
     */
    public static final String EXPORT_FLAG_PREVIEW = "1";

    /**
     * 措施组名称
     */
    public static final String NEW_ACTION_GROUP_NAME = "fmea.lbl.group";
    /**
     * @Fields MEASURE : 措施状态名称：当前措施状态
     */
    public static final String FLD_CURRENT_MEASURE_NAME = "fmea.lbl.currentMeasures";
    /**
     * @Fields MEASURE : 措施状态名称：优化措施状态
     */
    public static final String FLD_OPTIMIZATION_MEASURE_NAME = "fmea.lbl.optimizationMeasures";
    /**
     * 措施状态顺序flag
     */
    public static final String FLD_MEASURE_SEQ_FLAG = "1";

    /**
     * 统计分析-颜色：红色
     */
    public static final String COLOR_R = "R";
    /**
     * 统计分析-颜色：黄色
     */
    public static final String COLOR_Y = "Y";
    /**
     * 统计分析-颜色：绿色
     */
    public static final String COLOR_G = "G";
    /**
     * sql in最大900
     */
    public static final Integer MAX_SQL_IN = 900;
    /**
     * 功能矩阵 打勾标识
     */
    public static final String TICK = "√";

    // P图勾选状态。
    public static final String PD_CHECK_FLAG = "0";
    public static final String PD_NO_CHECK_FLAG = "1";

    /**
     * 新版fmea画面取（结构）数据参照行数暂定100
     */
    public static final int NEW_FMEA_TABLE_DATA_REFERENCE_STRU_ROW = 100;
    /**
     * 新版fmea画面每页获取的最大数据数量,超过提示不支持
     */
    public static final int NEW_FMEA_TABLE_DATA_REFERENCE_MAX_ROW = 20000;

    /**
     * office365的端口
     */
    public static final String OFFICE_MAIL_PORT = "587";

    /**
     * @Fields DEFAULT_GROUP_ID : 默认分组ID
     */
    public static final Integer DEFAULT_GROUP_ID = 0;
    /**
     * @Fields DEFAULT_GROUP_ID : 默认分组名称
     */
    public static final String DEFAULT_GROUP_NAME = "无";
    /**
     * @Fields ANNOTATION_GROUP_STATE_USED : 备注组状态使用(0)
     */
    public static final Integer ANNOTATION_GROUP_STATE_USED = 0;
    /**
     * @Fields ANNOTATION_GROUP_STATE_UNUSED : 备注组状态未使用(1)
     */
    public static final Integer ANNOTATION_GROUP_STATE_UNUSED = 1;

    /**
     * 措施输出文件的名称
     */
    public static final String MEASURES_FILE_NAME = "measures";
    /**
     * 字体名称：宋体
     */
    public static final String FONT_NAME_SONGTI = "宋体";
}
