package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName MapKeySet
 * @Description 业务Map键定义
 * @Author ted.liu
 * @CreateDate 2013-12-28
 */
public class PmMapKeySet {

    private PmMapKeySet() {
        super();
    }

    // 项目当前资源标识
    public static final String KEY_R_RESOURCE_ID = "RESOURCE_ID";
    // 项目上级资源标识
    public static final String KEY_R_PARENT_RESOURCE_ID = "PARENT_RESOURCE_ID";
    // 项目当前资源生命周期状态
    public static final String KEY_R_LIFE_STATE = "LIFE_STATE";
    // 项目资源类型
    public static final String KEY_R_RESOURCE_TYPE = "RESOURCE_TYPE";
    // 项目上级资源类型
    public static final String KEY_R_PARENT_RESOURCE_TYPE = "PARENT_RESOURCE_TYPE";
    // 项目资源主键 = 标识+类型)
    public static final String KEY_R_RESOURCE_KEY = "RESOURCE_KEY";
    // 项目上级资源主键 = 标识+类型)
    public static final String KEY_R_PARENT_RESOURCE_KEY = "PARENT_RESOURCE_KEY";
    // TG名称
    public static final String KEY_TG_NAME = "TG_NAME";
    // 成员ID
    public static final String KEY_R_STAFF_ID = "STAFF_ID";
    // 交付ID
    public static final String KEY_R_DELIVERY_ID = "DELIVERY_ID";
    // 成员名称
    public static final String KEY_R_STAFF_NAME = "STAFF_NAME";
    // 成员角色标识
    public static final String KEY_R_STAFF_ROLEID = "STAFF_ROLEID";
    // 成员角色名称
    public static final String KEY_R_STAFF_ROLENAME = "STAFF_ROLENAME";
    // 成员角色类型
    public static final String KEY_R_ROLE_TYPE = "ROLE_TYPE";
    // 开始时间
    public static final String KEY_R_START_TIME = "STARTTIME";
    // 结束时间
    public static final String KEY_R_END_TIME = "ENDTIME";
    // 手机
    public static final String KEY_R_MOBILE_PHONE = "MOBILE_PHONE";
    // 电话
    public static final String KEY_R_TELEPHONE = "TELEPHONE";
    // 邮箱
    public static final String KEY_R_EMAIL = "EMAIL";
    // 用户名称
    public static final String KEY_R_USER_NAME = "USER_NAME";
    // 用户名称
    public static final String KEY_R_USER_ID = "USER_ID";
    // 项目角色Id
    public static final String KEY_R_PROJECT_ROLE_ID = "PROJECT_ROLE_ID";
    // TG 顺序
    public static final String KEY_R_TG_SORT = "TG_SORT";
    // 用户组名称
    public static final String KEY_S_GROUP_NAME = "s_groupName";
    // 无审批
    public static final String KEY_R_NO_APPROVAL = "no_approval";

    // 任务标识
    public static final String KEY_R_TASK_ID = "TASK_ID";
    // 任务名称
    public static final String KEY_TASK_NAME = "TASK_NAME";
    // 上级任务标识
    public static final String KEY_PARENT_TASK_ID = "PARENT_TASK_ID";
    // 完成度
    public static final String KEY_R_PERCENT = "PERCENT";
    // PROJECT标识键
    public static final String KEY_S_PROJECT_ID = "_keyProjectId";
    // 项目标识
    public static final String KEY_PROJECT_ID = "PROJECT_ID";
    // 项目类型
    public static final String KEY_PROJECT_TYPE = "PROJECT_TYPE";
    // 项目应用
    public static final String KEY_PROJECT_APP = "PROJECT_APP";
    // 描述
    public static final String KEY_DESCRIPTION = "DESCRIPTION";
    // 项目名称
    public static final String KEY_PROJECT_NAME = "PROJECT_NAME";
    // 项目关联对象名称
    public static final String KEY_OBJECT_NAME = "OBJECT_NAME";
    // 项目编码
    public static final String KEY_PROJECT_CODE = "PROJECT_CODE";
    // 预计开始时间
    public static final String KEY_R_PLAN_START_TIME = "PLANSTARTTIME";
    // 预计结束时间
    public static final String KEY_R_PLAN_END_TIME = "PLANENDTIME";
    // TG标识键
    public static final String KEY_S_TG_ID = "_keyTgId";
    // TG标识
    public static final String KEY_TG_ID = "TG_ID";
    // 当前统计起始结点标识
    public static final String KEY_S_START_NODE_ID = "_keyStartNodeId";
    // 统计方式键
    public static final String KEY_S_STAT_WAY = "_keyStatWay";
    // 统计权重是否有效键
    public static final String KEY_S_SHARE_SCALE_SWITCH = "_keyShareScaleSwicth";
    // 返回值类型
    public static final String KEY_S_RETURN_WAY = "_keyResultWay";
    // 返回值
    public static final String KEY_S_RETURN = "_keyResult";
    // STEP标识键
    public static final String KEY_S_STEP_ID = "_keyStepId";
    // TASK标识键
    public static final String KEY_S_TASK_ID = "_keyTaskId";
    // TASK父级标识键
    public static final String KEY_S_PARENT_TASK_ID = "_keyParentTaskId";
    // 登录者标识
    public static final String KEY_S_USER_ID = "_keyUserId";
    // 资源标识
    public static final String KEY_S_RESOURCE_ID = "_keyResourceId";
    // 项目编号
    public static final String KEY_S_PROJECT_CODE = "_keyProjectCode";
    // 项目名称
    public static final String KEY_S_PROJECT_NAME = "_keyProjectName";
    // 项目类型
    public static final String KEY_S_PROJECT_TYPE = "_keyProjectType";
    // 关联对象
    public static final String KEY_S_RELATED_OBJECT = "_keyRelatedObject";
    // 产品名称
    public static final String KEY_S_PRODUCT_NAME = "_keyProductName";
    // 资源类型键 = 项目\TG\Step\Task)
    public static final String KEY_S_RESOURCE_TYPE = "_keyResourceType";
    // 子资源类型键
    public static final String KEY_S_CHILD_RESOURCE_TYPE = "_keyChildResourceType";
    // 生命周期
    public static final String KEY_S_LIFE_STATE = "_keyLifeState";
    // 角色类型
    public static final String KEY_S_ROLE_TYPE = "_keyRoleType";
    // 权限类别
    public static final String KEY_S_AUTH_CLASSIFY = "_keyAuthClassify";
    // 权限类别值
    public static final String KEY_S_AUTH_CLASSIFY_VALUE = "_keyAuthClassifyValue";
    // 成员名称
    public static final String KEY_S_STAFF_NAME = "_keyStaffName";
    // 是否是所有者键
    public static final String KEY_S_OWNER_MARK = "_keyOwnerMark";
    // Task数量键
    public static final String KEY_S_TASKNUM = "_keyTaskNum";
    // 检查项数量
    public static final String KEY_S_CHECKNUM = "_keyCheckNum";
    // 检查项关闭数量
    public static final String KEY_S_CLOSE_CHECKNUM = "_keyCloseCheckNum";
    // 成员数量
    public static final String KEY_S_STAFFNUM = "_keyStaffNum";
    // 项目、TG、任务交付数量
    public static final String KEY_S_DELIVERYNUM = "_keyDeliveryNum";
    // 文档列表页面查询参数
    public static final String KEY_S_DOCUMENTNAME = "_keyDocumentName";
    public static final String KEY_S_PARENT_DOCUMENTTYPEID = "_keyFirstId";
    public static final String KEY_S_CHILD_DOCUMENTTYPEID = "_keySecondId";
    public static final String KEY_S_DOCUMENTCODE = "_keyDocumentCode";
    // 权限属性转换开关
    public static final String KEY_S_AUTHORITY_SWITCH = "_keyAuthoritySwitch";
    // 用户角色是否再查询
    public static final String KEY_S_SEARCH_ROLE = "_keySearchRole";
    // 交付编号
    public static final String KEY_S_DELIVERY_ID = "_keyDeliveryId";
    // 交付类型
    public static final String KEY_S_DELIVERY_TYPE = "_keyDeliveryType";
    // 交付名称
    public static final String KEY_S_DELIVERY_NAME = "_keyDeliveryName";
    // 用户Id
    public static final String KEY_S_L_USER_ID = "userId";
    // 用户名称
    public static final String KEY_S_USER_NAME = "userName";
    // 项目角色Id
    public static final String KEY_S_PROJECT_ROLE_ID = "projectRoleId";
    // 版本号
    public static final String KEY_S_PJ_VERSION_NO = "VERSION_NO";
    // 任务树编号
    public static final String KEY_TREE_NO = "_keyTreeNo";
    // 任务树左序号
    public static final String KEY_LEFT_NO = "_keyLeftNo";
    // 任务树右序号
    public static final String KEY_RIGHT_NO = "_keyRightNo";

    // 预防性措施规划名称
    public static final String KEY_PP_PLAN_NAME = "PP_PLAN_NAME";

    // 预防性措施规划责任人
    public static final String KEY_USER_NAME = "USER_NAME";
    public static final String KEY_PA_ANALYSIS_NAME = "PA_ANALYSIS_NAME";
    public static final String KEY_USER_ID = "USER_ID";
    public static final String KEY_PA_ANALYSIS_ID = "PA_ANALYSIS_ID";
    public static final String KEY_RESPONSIBLE = "RESPONSIBLE";
}
