// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @ClassName RangeCheckType
 * @Description 范围检查定义
 * @Author 刘裕磊
 * @CreateDate 2014-8-14
 * @Version V1.0
 */
public enum RangeCheckType {
    // (0, ∞) greater than
    GT,
    // [0, ∞)
    GTE,
    // (-∞, 0) less than
    LT,
    // (-∞, 0]
    LTE,
    // (100, 1000)
    GT_LT,
    // (100, 1000]
    GT_LTE,
    // [100, 1000)
    GTE_LT,
    // [100, 1000]
    GTE_LTE
}
