package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName ReliaFlowCheckPageParamConstants
 * @Description 国际化标签名
 * @Author reliabench
 * @CreateDate 2014-6-23
 */
public class ReliaFlowCheckPageParamConstants {

    /**
     * Constructor
     */
    private ReliaFlowCheckPageParamConstants() {
        super();
    }

    // 对应页面中的国际化标签名
    public static final String RELIAFLOW_LABEL_PROJECTCODE = "reliaflow.label.projectCode";
    public static final String RELIAFLOW_LABEL_PROJECTNAME = "reliaflow.label.projectName";
    public static final String RELIAFLOW_LABEL_RELATEDPRODUCTS = "reliaflow.label.relatedObject";
    public static final String RELIAFLOW_LABEL_TGNAME = "reliaflow.label.tgName";
    public static final String RELIAFLOW_LABEL_TGGRADATION = "reliaflow.label.gradation";
    public static final String RELIAFLOW_LABEL_STEPNAME = "reliaflow.label.stepName";
    public static final String RELIAFLOW_LABEL_TASKNAME = "reliaflow.label.taskName";
    public static final String RELIAFLOW_LABEL_SHARESCALE = "reliaflow.label.shareScale";
    public static final String RELIAFLOW_LABEL_DESCRIPTION = "reliaflow.label.description";
    public static final String RELIAFLOW_LABEL_PLANSTARTTIME = "reliaflow.label.planStartDate";
    public static final String RELIAFLOW_LABEL_PLANENDTIME = "reliaflow.label.planEndDate";
    public static final String RELIAFLOW_LABEL_FACTSTARTTIME = "reliaflow.label.startDate";
    public static final String RELIAFLOW_LABEL_FACTENDTIME = "reliaflow.label.endDate";
    public static final String RELIAFLOW_LABEL_CHECKITEM = "reliaflow.label.checkItem";
    public static final String RELIAFLOW_LABEL_CHECKCONTENT = "reliaflow.label.checkContent";
    public static final String RELIAFLOW_LABEL_SYSTEM_DATE = "common.system.date";
    public static final String RELIAFLOW_LABEL_PPPLANNAME = "reliaflow.label.PpPlanName";
    public static final String RELIAFLOW_LABEL_RESPONSIBLE = "reliaflow.label.Responsible";
    public static final String RELIAFLOW_LABEL_PPPLANSTARTDATE = "reliaflow.label.PpPlanStartDate";
    public static final String RELIAFLOW_LABEL_PPPLANENDDATE = "reliaflow.label.PpPlanEndDate";
    public static final String RELIAFLOW_LABEL_PLANTG = "reliaflow.label.PpPlanTG";
}
