// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @ClassName SequencePrimaryKey
 * @Description 序列信息定义
 * @Author 刘裕磊
 * @CreateDate 2013-8-6
 * @Version V1.0
 */
public enum SequencePrimaryKey {
    //======================
    // WDA序列定义
    //======================
    // T_WDA_CHART_PARAM_CU
    S_WDA_CP_CU(24),
    // T_WDA_CHART_PARAM_CU_GROUP
    S_WDA_CP_CU_GROUP(24),
    // T_WDA_CHART_PARAM_CU_TREND
    S_WDA_CP_CU_TREND(24),
    // T_WDA_CHART_CU_PART_TREND
    S_WDA_CP_CU_PART_TREND(24),
    // T_WDA_CHART_PARAM_FU
    S_WDA_CP_FU(24),
    // T_WDA_CHART_PARAM_FU_GROUP
    S_WDA_CP_FU_GROUP(24),
    // T_WDA_CHART_PARAM_FU_TREND
    S_WDA_CP_FU_TREND(24),
    // T_WDA_CHART_PARAM_FU_TREND
    S_WDA_CP_FU_PART_TREND(24),
    // T_WDA_CHART_PARAM_USAGE
    S_WDA_CP_USAGE(24),
    // T_WDA_DETAIL_RESULT_CU
    S_WDA_DR_CU(24),
    // T_WDA_DETAIL_RESULT_CU_GROUP
    S_WDA_DR_CU_GROUP(24),
    // T_WDA_DETAIL_RESULT_CU_TIME
    S_WDA_DR_CU_TIME(24),
    // T_WDA_DETAIL_RESULT_CU_TREND
    S_WDA_DR_CU_TREND(24),
    // T_WDA_DETAIL_RESULT_FU
    S_WDA_DR_FU(24),
    // T_WDA_DETAIL_RESULT_FU_GROUP
    S_WDA_DR_FU_GROUP(24),
    // T_WDA_DETAIL_RESULT_FU_TIME
    S_WDA_DR_FU_TIME(24),
    // T_WDA_DETAIL_RESULT_FU_TREND
    S_WDA_DR_FU_TREND(24),
    // T_WDA_DETAIL_RESULT_REPAIR_TIME
    S_WDA_DR_REPAIR_TIME(24),
    // T_WDA_DETAIL_RESULT_USAGE
    S_WDA_DR_USAGE(24),
    // T_WDA_PROJECT
    S_WDA_PROJECT(24),
    // T_WDA_PARAM_CU
    S_WDA_P_CU(24),
    // T_WDA_PARAM_CU_GROUP
    S_WDA_P_CU_GROUP(24),
    // T_WDA_PARAM_CU_TIME
    S_WDA_P_CU_TIME(24),
    // T_WDA_PARAM_CU_TREND
    S_WDA_P_CU_TREND(24),
    // T_WDA_PARAM_CU_TREND
    S_WDA_P_CU_PART_TREND(24),
    // T_WDA_PARAM_FU
    S_WDA_P_FU(24),
    // T_WDA_PARAM_FU_GROUP
    S_WDA_P_FU_GROUP(24),
    // T_WDA_PARAM_FU_TIME
    S_WDA_P_FU_TIME(24),
    // T_WDA_PARAM_FU_TREND
    S_WDA_P_FU_TREND(24),
    // T_WDA_PARAM_FU_PART_TREND
    S_WDA_P_FU_PART_TREND(24),
    // T_WDA_PARAM_PARTS
    S_WDA_P_PARTS_RELA(24),
    // T_WDA_PARAM_REPAIR_TIME
    S_WDA_P_REPAIR_TIME(24),
    // T_WDA_PARAM_USAGE
    S_WDA_P_USAGE(24),
    // T_WDA_PARAM_MTTFF
    S_WDA_P_MTTF(24),
    // T_WDA_RESULT_CU
    S_WDA_R_CU(24),
    // T_WDA_RESULT_FU
    S_WDA_R_FU(24),
    // T_WDA_RESULT_USAGE
    S_WDA_R_USAGE(24),
    // T_WDA_PARAM_CUSTOMIZE
    S_WDA_P_CUSTOM(24),
    // T_WDA_SEARCH_CONDITION
    S_WDA_PRO_S_CONDITION(24),
    // T_WDA_DATA_STAT
    S_WDA_DATA_STAT(24),

    //======================
    // WEIBULL序列定义
    //======================
    // T_WB_PROJECT_INFO
    S_WB_PROJECT_INFO(24),
    // T_WB_PARAMETERS
    S_WB_PARAMETERS(24),
    // T_WB_RESULT
    S_WB_RESULT(24),
    // T_WB_PROJECT_DATA_GROUP
    S_WB_PROJECT_DATA_GROUP(24),
    // T_WB_SAMPLE_DATA
    S_WB_SAMPLE_DATA(24),
    // T_WB_MULTI_CHART
    S_WB_MULTI_CHART(24),
    // T_WB_DATA_SEARCH_CONDITION
    S_WB_DATA_SEARCH_CONDITION(24),
    // T_WB_MULTI_CHART_DETAIL
    S_WB_MULTI_CHART_DETAIL(24),
    // T_WB_DATA_DETAIL
    S_WB_DATA_DETAIL(24),

    //======================
    // LD序列定义
    //======================
    // T_LD_GROUPING
    S_LD_GROUPING(24),
    // T_LD_GROUPING_DATA
    S_LD_GROUPING_DATA(24),
    // T_LD_GROUPING_SETTING
    S_LD_GROUPING_SETTING(24),
    // T_LD_ANALYSIS
    S_LD_ANALYSIS(24),
    // T_LD_ANALYSIS_DATA
    S_LD_ANALYSIS_DATA(24),
    // T_LD_ANALYSIS_SETTING
    S_LD_ANALYSIS_SETTING(24),
    // T_LD_MULTI_CHART
    S_LD_MULTI_CHART(24),

    //======================
    // RLD序列定义
    //======================
    // T_LD_GROUPING
    S_RLD_GROUPING(24),
    // T_LD_GROUPING_DATA
    S_RLD_GROUPING_DATA(24),
    // T_LD_GROUPING_SETTING
    S_RLD_GROUPING_SETTING(24),
    // T_LD_ANALYSIS
    S_RLD_ANALYSIS(24),
    // T_LD_ANALYSIS_DATA
    S_RLD_ANALYSIS_DATA(24),
    // T_LD_ANALYSIS_SETTING
    S_RLD_ANALYSIS_SETTING(24),
    // T_LD_MULTI_CHART
    S_RLD_MULTI_CHART(24),

    //======================
    // FRACAS序列定义
    //======================
    // T_FCS_PROBLEM
    S_FCS_PROBLEM(24),
    S_FCS_TASK(24),

    //======================
    // XFRACAS序列定义
    //======================
    // T_HQ_QUALITY_PROBLEM
    S_HQ_QUALITY_PROBLEM(15),
    // T_HQ_CASE
    S_HQ_CASE(15),

    //======================
    // DA序列定义
    //======================
    // T_DA_INFO
    S_DA_INFO(24),
    // T_DA_DATA
    S_DA_DATA(24),
    // T_DA_SETTING
    S_DA_SETTING(24),


    //======================
    // RISKASSESSMENT序列定义
    //======================
    // T_RA_ASSESSMENT
    S_RA_ASSESSMENT(24),
    // T_RA_ASSESSMENT_PART
    S_RA_ASSESSMENT_PART(24),
    // T_PA_ANALYSIS
    S_PA_ANALYSIS(24),
    // T_PA_PART
    S_PA_PART(24),
    // S_PA_COF
    S_PA_COF(10),

    //======================
    // TARGET序列定义
    //======================
    // T_TS_INFO
    S_TS_INFO(24),
    // T_TS_TARGET
    S_TS_TARGET(24),

    //======================
    // frame序列定义
    //======================
    // T_SYS_USER--模拟
    S_SYS_USER(9, "U"),
    // T_SYS_USER_GROUP--UUID
    S_SYS_USER_GROUP(9, "UG"),
    // T_SYS_USER_GROUP_TYPE--系统已不使用
    S_SYS_USER_GROUP_TYPE(9, "UGT"),
    // T_SYS_SHARE_APPROVE--UUID
    S_SYS_SHARE_APPROVE(24),
    // T_SYS_ROLE--UUID
    S_SYS_ROLE(9, "R"),

    //======================
    // 流程序列定义
    //======================
    // T_WF_PROCESS--UUID
    S_WF_PROCESS(32),
    // T_WF_INSTANCE--UUID
    S_WF_INSTANCE(32),
    // T_WF_TASK--UUID
    S_WF_TASK(32),
    // T_WF_NOTICE_INSTANCE--UUID
    S_WF_NOTICE_INSTANCE(32),

    //======================
    // BASE序列定义
    //======================
    S_IMP_MANAGEMENT(24, "IMP"),
    // T_WB_DATA_DETAIL
    S_BS_DOCUMENT(24),
    // T_BS_PC
    S_BS_PC(14, "_", "T_BS_PC", "PC_TREE_ID"),
    // T_BS_PRODUCT_SPECTRUM
    S_BS_PRODUCT_SPECTRUM(9, "_", "T_BS_PRODUCT_SPECTRUM", "PRODUCT_SPECTRUM_ID"),
    // T_BS_PC_TREE
    S_BS_PC_TREE(14, "_", "T_BS_PC_TREE", "PC_NODE_ID"),
    // T_BS_CUSTOMER
    S_BS_CUSTOMER(14, "_", "T_BS_CUSTOMER", "CUSTOMER_ID"),
    // T_BS_PART_PC
    S_BS_PARTS_PC(24),
    // T_BS_PRODUCT
    S_BS_PRODUCT(10, "_", "T_BS_PRODUCT", "PRODUCT_ID"),
    // T_BS_RESPON_DEPT
    S_BS_RESPON_DEPT(24, "_", "T_BS_RESPON_DEPT", "RESPON_DEPT_ID"),
    // T_BS_SERVICE_STATION
    S_BS_SERVICE_STATION(24, "_", "T_BS_SERVICE_STATION", "SERVICE_STATION_ID"),
    // T_BS_SERVICE_PROJECT
    S_BS_SERVICE_PROJECT(24, "_", "T_BS_SERVICE_PROJECT", "SERVICE_PROJECT_ID"),
    // T_BS_PROJECT
    S_BS_PROJECT(24),

    //======================
    // RELIAFLOW序列定义
    //======================
    // T_PM_PROJECT
    S_PM_PROJECT(24),
    // T_PM_TG
    S_PM_TG(24),
    // T_PM_TG
    S_PP_PLAN(24),
    // S_PM_TASK
    S_PM_TASK(24),

    //======================
    // RGT序列定义
    //======================
    // T_RGT_PLAN
    S_RGT_PLAN(32),
    // T_RGT_PLAN_PARAM
    S_RGT_PLAN_PARAM(32),
    // T_RGT_SCHEDULE
    S_RGT_SCHEDULE(32),
    // T_RGT_SCHEDULE_TARGET
    S_RGT_SCHEDULE_TARGET(32),
    // T_RGT_TRACK
    S_RGT_TRACK(32),
    // T_RGT_TRACK_TEST
    S_RGT_TRACK_TEST(32),
    // T_RGT_TRACK_PROBLEM
    S_RGT_TRACK_PROBLEM(32),

    //======================
    // FMEA序列定义
    //======================
    /**
     * @Fields S_DFMEA_INFO : DFMEA管理表
     */
    S_DFMEA_INFO(24),
    /**
     * @Fields S_PFMEA_INFO : PFMEA管理表
     */
    S_PFMEA_INFO(24),
    /**
     * @Fields S_FMEA_MACHINE : 机器库表
     */
    S_FMEA_MACHINE(7),
    /**
     * @Fields S_FMEA_EQUIPMENT : 检查设备
     */
    S_FMEA_EQUIPMENT(7),
    /**
     * @Fields S_FMEA_PROCESS_ICON : 工序图标
     */
    S_FMEA_PROCESS_ICON(7),
    /**
     * @Fields S_FMEA_CLASSIFY : 分类
     */
    S_FMEA_CLASSIFY(7),

    //======================
    // FMEA序列定义
    //======================
    // T_DFMEA_INFO DFMEA
    S_FMEA_STANDARD(5),

    //======================
    // PD序列定义
    //======================
    // T_PD_INFO PD
    S_PD_INFO(24),

    //======================
    // FRACAS序列定义
    //======================
    // T_FCS_PROJECT
    S_FCS_PROJECT(24),
    S_FCS_PHASE_REBUILD(24),

    //======================
    // 任务序列定义
    //======================
    /**
     * @Fields T_SYS_TASK--UUID : 任务
     */
    S_SYS_TASK(32);

    /**
     * @Fields 主键的长度
     */
    private final int keyLength;

    /**
     * @Fields 主键的前缀
     */
    private String keyPrefix;

    /**
     * @Fields tableName : 序列对应表名
     */
    private String tableName;

    /**
     * @Fields pkName : 序列对应表主键名
     */
    private String pkName;

    /**
     * @return 主键的长度
     */
    public int getKeyLength() {
        return keyLength;
    }

    /**
     * @return 主键的前缀
     */
    public String getKeyPrefix() {
        return keyPrefix;
    }

    /**
     * @return the tableName
     */
    public String getTableName() {
        return tableName;
    }

    /**
     * @return the pkName
     */
    public String getPkName() {
        return pkName;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param keyLength
     * @param keyPrefix
     * @param tableName
     * @param pkName
     */
    SequencePrimaryKey(int keyLength, String keyPrefix, String tableName, String pkName) {
        this.keyLength = keyLength;
        this.keyPrefix = keyPrefix;
        this.tableName = tableName;
        this.pkName = pkName;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param keyLength
     * @param tableName
     * @param pkName
     */
    SequencePrimaryKey(int keyLength, String tableName, String pkName) {
        this.keyLength = keyLength;
        this.tableName = tableName;
        this.pkName = pkName;
    }

    /**
     * <p>Title: 构造函数</p>
     * <p>Description: </p>
     *
     * @param keyLength
     * @param keyPrefix
     */
    SequencePrimaryKey(int keyLength, String keyPrefix) {
        this.keyLength = keyLength;
        this.keyPrefix = keyPrefix;
    }

    /**
     * <p>Title: 构造函数</p>
     * <p>Description: </p>
     *
     * @param keyLength
     */
    SequencePrimaryKey(int keyLength) {
        this.keyLength = keyLength;
    }
}
