// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @author 范钦涛
 * @version V1.0
 * @ClassName StageType
 * @Description TODO(StageType类的用途说明)
 * @date 2013-6-17
 */
public enum StageType {
    DOC(1),
    PRODUCT(2),
    RBOM(3),
    PC(4),
    APPROVAL(5),
    TASK(6),
    PROJECT(7),
    PROCESS(8);

    /**
     * 整数值
     */
    private final int intValue;


    /**
     * <p>Title: 构造函数</p>
     * <p>Description: 以整数构造类</p>
     *
     * @param _value
     */
    StageType(int intValue) {
        this.intValue = intValue;
    }

    /**
     * @param _value
     * @return StageType
     * @Title: valueOf
     * @Description: 以整数构造类
     */
    public StageType valueOf(int intValue) {
        for (StageType stageType : StageType.values()) {
            if (stageType.value() == intValue) {
                return stageType;
            }
        }
        return null;
    }

    /**
     * @return int
     * @Title: value
     * @Description: 取得整数值
     */
    public int value() {
        return intValue;
    }
}
