// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.dto;

import java.io.Serializable;

/**
 * @author 范钦涛
 * @version V1.0
 * @ClassName BreadcrumbItem
 * @Description 面包屑项目
 * @date 2013-6-4
 */
public class BreadcrumbItem implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 6710752051853878783L;

    /**
     * 面包屑标题
     */
    private String title;
    /**
     * 面包屑链接
     */
    private String href;

    public BreadcrumbItem(String title, String href) {
        this.title = title;
        this.href = href;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * @return the href
     */
    public String getHref() {
        return href;
    }

    /**
     * @param href the href to set
     */
    public void setHref(String href) {
        this.href = href;
    }

}
