// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.exception;

import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;

import java.io.Serializable;

/**
 * @author ted.liu
 * @version V1.0
 * @ClassName WarnMessage
 * @Description 警告消息类
 * @date 2013-8-19
 */
public class WarnMessage implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 8342339359736719695L;

    /**
     * @Fields messageId : 枚举信息
     */
    private MessageId messageId;

    /**
     * 警告码
     */
    private String msgCode;

    /**
     * 参数
     */
    private String[] args;

    /**
     * @return the msgCode
     */
    public String getMsgCode() {
        return msgCode;
    }

    /**
     * @param msgCode the msgCode to set
     */
    public void setMsgCode(String msgCode) {
        this.msgCode = msgCode;
    }

    /**
     * @return the args
     */
    public String[] getArgs() {
        return args;
    }

    /**
     * @param args the args to set
     */
    public void setArgs(String[] args) {
        this.args = args;
    }

    /**
     * @return the messageId
     */
    public MessageId getMessageId() {
        return messageId;
    }

    /**
     * @param messageId the messageId to set
     */
    public void setMessageId(MessageId messageId) {
        this.messageId = messageId;
    }
}
