// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_platform.entity;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import com.nationrel.modules.project.jar.rb_platform.entity.base.AbstractWfNoticeInstance;

import java.util.Date;

/**
 * @ClassName wfNoticeInstance
 * @Description 通知信息实例表实现类
 * @Author
 * @CreateDate 2013-11-21
 * @Version V1.0
 */
public class WfNoticeInstance extends AbstractWfNoticeInstance {
    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * noticeStartTime :发送时间
     */
    private Date noticeStartTime;

    /**
     * noticeEndTime :发送结束时间
     */
    private Date noticeEndTime;

    /**
     * 发送方ID
     */
    private String userId;

    /**
     * 发送方名称
     */
    private String userName;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the noticeStartTime
     */
    public Date getNoticeStartTime() {
        return noticeStartTime;
    }

    /**
     * @param noticeStartTime the noticeStartTime to set
     */
    public void setNoticeStartTime(Date noticeStartTime) {
        this.noticeStartTime = noticeStartTime;
    }

    /**
     * @return the noticeEndTime
     */
    public Date getNoticeEndTime() {
        return noticeEndTime;
    }

    /**
     * @param noticeEndTime the noticeEndTime to set
     */
    public void setNoticeEndTime(Date noticeEndTime) {
        this.noticeEndTime = noticeEndTime;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the userId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

}
