// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_platform.entity.base;


/**
 * @ClassName SysConfig
 * @Description 系统设置基类
 * @Author "罗昊"
 * @CreateDate 2013-5-8
 * @Version V1.0
 */
public abstract class AbstractSysConfig {

    /**
     * The id.
     */
    private long id;

    /**
     * 参数描述.
     */
    private String paraDesc;

    /**
     * 参数名.
     */
    private String paraName;

    /**
     * 参数值.
     */
    private String paraValue;


    /**
     * @return the paraDesc
     */
    public String getParaDesc() {
        return paraDesc;
    }

    /**
     * @return the paraName
     */
    public String getParaName() {
        return paraName;
    }

    /**
     * @return the paraValue
     */
    public String getParaValue() {
        return paraValue;
    }


    /**
     * @return the id
     */
    public long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(long id) {
        this.id = id;
    }

    /**
     * @param paraDesc the paraDesc to set
     */
    public void setParaDesc(String paraDesc) {
        this.paraDesc = paraDesc;
    }

    /**
     * @param paraName the paraName to set
     */
    public void setParaName(String paraName) {
        this.paraName = paraName;
    }

    /**
     * @param paraValue the paraValue to set
     */
    public void setParaValue(String paraValue) {
        this.paraValue = paraValue;
    }
}
