// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.jar.rb_platform.entity.base;

/**
 * @ClassName AbstractsysStateConfig
 * @Description 状态配置表基类
 * @Author 自动生成
 * @CreateDate 2013-12-2
 * @Version V1.0
 */
public abstract class AbstractSysStateConfig {

    /**
     * 状态配置标识
     */
    private String stateConfigId;

    /**
     * 模块标识
     */
    private String moduleId;

    /**
     * 状态编码
     */
    private String stateCode;

    /**
     * 状态名称
     */
    private String stateName;

    /**
     * 描述
     */
    private String description;

    /**
     * 状态类别
     */
    private String stateType;

    /**
     * 状态顺序
     */
    private Integer ordinal;

    /**
     * 状态前移标志
     */
    private String forwardFlag;

    /**
     * 状态自动前移URL
     */
    private String autoForward;

    /**
     * 状态前移默认模板
     */
    private String forwardTemplate;

    /**
     * 状态后退标志
     */
    private String backwardFlag;

    /**
     * 状态自动后退URL
     */
    private String autoBackward;

    /**
     * 状态后退默认模板
     */
    private String backwardTemplate;

    /**
     * 是否发布状态
     */
    private String releaseFlag;

    /**
     * 业务数据版本编码方式
     */
    private String versionType;

    /**
     * 版本编码
     */
    private String versionCode;

    /**
     * 版本分组
     */
    private String versionSeries;

    /**
     * 版本源标识
     */
    private String versionParent;

    /**
     * 版本分组内序号
     */
    private Integer versionOrder;

    /**
     * 是否当前版本
     */
    private String versionCur;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private Long insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private Long updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;

    /**
     * 版本号
     */
    private Integer versionNo;


    /**
     * @return the stateConfigId
     */
    public String getStateConfigId() {
        return stateConfigId;
    }

    /**
     * @param stateConfigId the stateConfigId to set
     */
    public void setStateConfigId(String stateConfigId) {
        this.stateConfigId = stateConfigId;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the stateCode
     */
    public String getStateCode() {
        return stateCode;
    }

    /**
     * @param stateCode the stateCode to set
     */
    public void setStateCode(String stateCode) {
        this.stateCode = stateCode;
    }

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the stateType
     */
    public String getStateType() {
        return stateType;
    }

    /**
     * @param stateType the stateType to set
     */
    public void setStateType(String stateType) {
        this.stateType = stateType;
    }

    /**
     * @return the ordinal
     */
    public Integer getOrdinal() {
        return ordinal;
    }

    /**
     * @param ordinal the ordinal to set
     */
    public void setOrdinal(Integer ordinal) {
        this.ordinal = ordinal;
    }

    /**
     * @return the forwardFlag
     */
    public String getForwardFlag() {
        return forwardFlag;
    }

    /**
     * @param forwardFlag the forwardFlag to set
     */
    public void setForwardFlag(String forwardFlag) {
        this.forwardFlag = forwardFlag;
    }

    /**
     * @return the autoForward
     */
    public String getAutoForward() {
        return autoForward;
    }

    /**
     * @param autoForward the autoForward to set
     */
    public void setAutoForward(String autoForward) {
        this.autoForward = autoForward;
    }

    /**
     * @return the forwardTemplate
     */
    public String getForwardTemplate() {
        return forwardTemplate;
    }

    /**
     * @param forwardTemplate the forwardTemplate to set
     */
    public void setForwardTemplate(String forwardTemplate) {
        this.forwardTemplate = forwardTemplate;
    }

    /**
     * @return the backwardFlag
     */
    public String getBackwardFlag() {
        return backwardFlag;
    }

    /**
     * @param backwardFlag the backwardFlag to set
     */
    public void setBackwardFlag(String backwardFlag) {
        this.backwardFlag = backwardFlag;
    }

    /**
     * @return the autoBackward
     */
    public String getAutoBackward() {
        return autoBackward;
    }

    /**
     * @param autoBackward the autoBackward to set
     */
    public void setAutoBackward(String autoBackward) {
        this.autoBackward = autoBackward;
    }

    /**
     * @return the backwardTemplate
     */
    public String getBackwardTemplate() {
        return backwardTemplate;
    }

    /**
     * @param backwardTemplate the backwardTemplate to set
     */
    public void setBackwardTemplate(String backwardTemplate) {
        this.backwardTemplate = backwardTemplate;
    }

    /**
     * @return the releaseFlag
     */
    public String getReleaseFlag() {
        return releaseFlag;
    }

    /**
     * @param releaseFlag the releaseFlag to set
     */
    public void setReleaseFlag(String releaseFlag) {
        this.releaseFlag = releaseFlag;
    }

    /**
     * @return the versionType
     */
    public String getVersionType() {
        return versionType;
    }

    /**
     * @param versionType the versionType to set
     */
    public void setVersionType(String versionType) {
        this.versionType = versionType;
    }

    /**
     * @return the versionCode
     */
    public String getVersionCode() {
        return versionCode;
    }

    /**
     * @param versionCode the versionCode to set
     */
    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    /**
     * @return the versionSeries
     */
    public String getVersionSeries() {
        return versionSeries;
    }

    /**
     * @param versionSeries the versionSeries to set
     */
    public void setVersionSeries(String versionSeries) {
        this.versionSeries = versionSeries;
    }

    /**
     * @return the versionParent
     */
    public String getVersionParent() {
        return versionParent;
    }

    /**
     * @param versionParent the versionParent to set
     */
    public void setVersionParent(String versionParent) {
        this.versionParent = versionParent;
    }

    /**
     * @return the versionOrder
     */
    public Integer getVersionOrder() {
        return versionOrder;
    }

    /**
     * @param versionOrder the versionOrder to set
     */
    public void setVersionOrder(Integer versionOrder) {
        this.versionOrder = versionOrder;
    }

    /**
     * @return the versionCur
     */
    public String getVersionCur() {
        return versionCur;
    }

    /**
     * @param versionCur the versionCur to set
     */
    public void setVersionCur(String versionCur) {
        this.versionCur = versionCur;
    }

    /**
     * @return the delFlag
     */
    public String getDelFlag() {
        return delFlag;
    }

    /**
     * @param delFlag the delFlag to set
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public Long getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(Long insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public Long getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
