// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.jar.rb_platform.entity.base;

/**
 * @ClassName AbstractsysTask
 * @Description 任务表基类
 * @Author 自动生成
 * @CreateDate 2015-3-20
 * @Version V1.0
 */
public abstract class AbstractSysTask {

    /**
     * 任务标识
     */
    private String taskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 业务数据标识
     */
    private String businessId;

    /**
     * 任务源头标识
     */
    private String taskSourceId;

    /**
     * 责任人
     */
    private Long responsible;

    /**
     * 预计开始时间
     */
    private java.util.Date planStartDate;

    /**
     * 预计结束时间
     */
    private java.util.Date planEndDate;

    /**
     * 上下文环境
     */
    private String contextEnv;

    /**
     * 实际开始时间
     */
    private java.util.Date startDate;

    /**
     * 实际结束时间
     */
    private java.util.Date endDate;

    /**
     * 完成度
     */
    private Double percent;

    /**
     * 描述
     */
    private String description;

    /**
     * 扩展字段01
     */
    private String extInfo1;

    /**
     * 扩展字段02
     */
    private String extInfo2;

    /**
     * 扩展字段03
     */
    private String extInfo3;

    /**
     * 周期状态
     */
    private String lifeState;

    /**
     * 发布时间
     */
    private java.util.Date releaseTime;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private Long insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private Long updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;

    /**
     * 版本号
     */
    private Integer versionNo;


    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the taskName
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * @param taskName the taskName to set
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    /**
     * @return the taskType
     */
    public String getTaskType() {
        return taskType;
    }

    /**
     * @param taskType the taskType to set
     */
    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    /**
     * @return the businessId
     */
    public String getBusinessId() {
        return businessId;
    }

    /**
     * @param businessId the businessId to set
     */
    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    /**
     * @return the taskSourceId
     */
    public String getTaskSourceId() {
        return taskSourceId;
    }

    /**
     * @param taskSourceId the taskSourceId to set
     */
    public void setTaskSourceId(String taskSourceId) {
        this.taskSourceId = taskSourceId;
    }

    /**
     * @return the responsible
     */
    public Long getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(Long responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the planStartDate
     */
    public java.util.Date getPlanStartDate() {
        return planStartDate;
    }

    /**
     * @param planStartDate the planStartDate to set
     */
    public void setPlanStartDate(java.util.Date planStartDate) {
        this.planStartDate = planStartDate;
    }

    /**
     * @return the planEndDate
     */
    public java.util.Date getPlanEndDate() {
        return planEndDate;
    }

    /**
     * @param planEndDate the planEndDate to set
     */
    public void setPlanEndDate(java.util.Date planEndDate) {
        this.planEndDate = planEndDate;
    }

    /**
     * @return the contextEnv
     */
    public String getContextEnv() {
        return contextEnv;
    }

    /**
     * @param contextEnv the contextEnv to set
     */
    public void setContextEnv(String contextEnv) {
        this.contextEnv = contextEnv;
    }

    /**
     * @return the startDate
     */
    public java.util.Date getStartDate() {
        return startDate;
    }

    /**
     * @param startDate the startDate to set
     */
    public void setStartDate(java.util.Date startDate) {
        this.startDate = startDate;
    }

    /**
     * @return the endDate
     */
    public java.util.Date getEndDate() {
        return endDate;
    }

    /**
     * @param endDate the endDate to set
     */
    public void setEndDate(java.util.Date endDate) {
        this.endDate = endDate;
    }

    /**
     * @return the percent
     */
    public Double getPercent() {
        return percent;
    }

    /**
     * @param percent the percent to set
     */
    public void setPercent(Double percent) {
        this.percent = percent;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the extInfo1
     */
    public String getExtInfo1() {
        return extInfo1;
    }

    /**
     * @param extInfo1 the extInfo1 to set
     */
    public void setExtInfo1(String extInfo1) {
        this.extInfo1 = extInfo1;
    }

    /**
     * @return the extInfo2
     */
    public String getExtInfo2() {
        return extInfo2;
    }

    /**
     * @param extInfo2 the extInfo2 to set
     */
    public void setExtInfo2(String extInfo2) {
        this.extInfo2 = extInfo2;
    }

    /**
     * @return the extInfo3
     */
    public String getExtInfo3() {
        return extInfo3;
    }

    /**
     * @param extInfo3 the extInfo3 to set
     */
    public void setExtInfo3(String extInfo3) {
        this.extInfo3 = extInfo3;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the releaseTime
     */
    public java.util.Date getReleaseTime() {
        return releaseTime;
    }

    /**
     * @param releaseTime the releaseTime to set
     */
    public void setReleaseTime(java.util.Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public Long getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(Long insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public Long getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
