// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.jar.rb_platform.entity.base;

/**
 * @ClassName AbstractwfInstance
 * @Description 流程实例表基类
 * @Author 自动生成
 * @CreateDate 2013-11-21
 * @Version V1.0
 */
public abstract class AbstractWfInstance {

    /**
     * 流程实例标识
     */
    private String instanceId;

    /**
     * 流程定义标识
     */
    private String processId;

    /**
     * 流程实例编码
     */
    private String instanceCode;

    /**
     * 流程实例名称
     */
    private String instanceName;

    /**
     * 发起部门
     */
    private String insertDeptId;

    /**
     * 发起人
     */
    private Long applyUser;

    /**
     * 流程实例开始时间
     */
    private java.util.Date startTime;

    /**
     * 流程实例结束时间
     */
    private java.util.Date endTime;

    /**
     * 描述
     */
    private String description;

    /**
     * 模块标识
     */
    private String moduleId;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务主键
     */
    private String businessId;

    /**
     * 业务周期状态编码
     */
    private String lifeState;

    /**
     * 周期下一状态
     */
    private String nextLifeState;

    /**
     * 最终迁移状态
     */
    private String endLifeState;

    /**
     * 审批类型
     */
    private String apprType;

    /**
     * 是否通知
     */
    private String noticeFlag;

    /**
     * 是否审批
     */
    private String approveFlag;

    /**
     * 实例状态
     */
    private String state;

    /**
     * 审批数据标识
     */
    private String apprDataId;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private Long insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private Long updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;

    /**
     * 版本号
     */
    private Integer versionNo;

    /**
     * @return the instanceId
     */
    public String getInstanceId() {
        return instanceId;
    }

    /**
     * @param instanceId the instanceId to set
     */
    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    /**
     * @return the processId
     */
    public String getProcessId() {
        return processId;
    }

    /**
     * @param processId the processId to set
     */
    public void setProcessId(String processId) {
        this.processId = processId;
    }

    /**
     * @return the instanceCode
     */
    public String getInstanceCode() {
        return instanceCode;
    }

    /**
     * @param instanceCode the instanceCode to set
     */
    public void setInstanceCode(String instanceCode) {
        this.instanceCode = instanceCode;
    }

    /**
     * @return the instanceName
     */
    public String getInstanceName() {
        return instanceName;
    }

    /**
     * @param instanceName the instanceName to set
     */
    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    /**
     * @return the insertDeptId
     */
    public String getInsertDeptId() {
        return insertDeptId;
    }

    /**
     * @param insertDeptId the insertDeptId to set
     */
    public void setInsertDeptId(String insertDeptId) {
        this.insertDeptId = insertDeptId;
    }

    /**
     * @return the applyUser
     */
    public Long getApplyUser() {
        return applyUser;
    }

    /**
     * @param applyUser the applyUser to set
     */
    public void setApplyUser(Long applyUser) {
        this.applyUser = applyUser;
    }

    /**
     * @return the startTime
     */
    public java.util.Date getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(java.util.Date startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public java.util.Date getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(java.util.Date endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the businessId
     */
    public String getBusinessId() {
        return businessId;
    }

    /**
     * @param businessId the businessId to set
     */
    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the nextLifeState
     */
    public String getNextLifeState() {
        return nextLifeState;
    }

    /**
     * @param nextLifeState the nextLifeState to set
     */
    public void setNextLifeState(String nextLifeState) {
        this.nextLifeState = nextLifeState;
    }

    /**
     * @return the noticeFlag
     */
    public String getNoticeFlag() {
        return noticeFlag;
    }

    /**
     * @param noticeFlag the noticeFlag to set
     */
    public void setNoticeFlag(String noticeFlag) {
        this.noticeFlag = noticeFlag;
    }

    /**
     * @return the approveFlag
     */
    public String getApproveFlag() {
        return approveFlag;
    }

    /**
     * @param approveFlag the approveFlag to set
     */
    public void setApproveFlag(String approveFlag) {
        this.approveFlag = approveFlag;
    }

    /**
     * @return the state
     */
    public String getState() {
        return state;
    }

    /**
     * @param state the state to set
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * @return the apprDataId
     */
    public String getApprDataId() {
        return apprDataId;
    }

    /**
     * @param apprDataId the apprDataId to set
     */
    public void setApprDataId(String apprDataId) {
        this.apprDataId = apprDataId;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public Long getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(Long insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public Long getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }

    /**
     * @return the businessType
     */
    public String getBusinessType() {
        return businessType;
    }

    /**
     * @param businessType the businessType to set
     */
    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    /**
     * @return the endLifeState
     */
    public String getEndLifeState() {
        return endLifeState;
    }

    /**
     * @param endLifeState the endLifeState to set
     */
    public void setEndLifeState(String endLifeState) {
        this.endLifeState = endLifeState;
    }

    /**
     * @return the apprType
     */
    public String getApprType() {
        return apprType;
    }

    /**
     * @param apprType the apprType to set
     */
    public void setApprType(String apprType) {
        this.apprType = apprType;
    }

}
