// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypeFaq;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @ClassName PaTypeFaqMapper
 * @Description PA种类问题关系表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypeFaqMapper extends BaseMapper<PaTypeFaq, String> {

    /**
     * @Title: deleteByPrimaryKey
     * @Description:
     * @param paPartId
     * @param paTypeId void
     */
    void deleteByPrimaryKey(@Param("paPartId") String paPartId, @Param("paTypeId") String paTypeId);

    /**
     * @Title: deleteByPaAnalysisId
     * @Description: 删除种类问题关系表
     * @param paAnalysisId void
     */
    void deleteByPaAnalysisId(@Param("paAnalysisId") String paAnalysisId);
}
