// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import com.nationrel.modules.project.jar.rb_platform.entity.SysTool;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName SysToolMapper
 * @Description 可靠性工具表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface SysToolMapper extends BaseMapper<SysTool, String> {

    /**
     * @Title: selectSysTools
     * @Description: 取得可靠性工具集
     * @return List<SysTool>
     */
    List<SysTool> selectSysTools();

    /**
     * @Title: searchSysToolsByTaskId
     * @Description: 任务使用工具
     * @param taskId
     * @return List<SysTool>
     */
    List<SysTool> searchSysToolsByTaskId(@Param("taskId") String taskId);
}
