package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300101SearchInput;
import com.nationrel.modules.project.dto.output.Rb0300101SearchOutput;

/**
 * @version V1.0
 * @ClassName Rb0300101SearchService
 * @Description 项目列表搜索业务接口
 * @Author ted.liu
 * @CreateDate 2013-12-4
 */
public interface Rb0300101SearchService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表搜索业务方法
     */
    String perform(Rb0300101SearchInput input, Rb0300101SearchOutput output) throws Exception;
}
