package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300106InitInput;
import com.nationrel.modules.project.dto.output.Rb0300106InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300106InitService
 * @Description 任务审批查看初始化的业务接口
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
public interface Rb0300106InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务审批查看初始化的业务方法
     */
    String perform(Rb0300106InitInput input, Rb0300106InitOutput output) throws Exception;
}
