package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300112InitInput;
import com.nationrel.modules.project.dto.output.Rb0300112InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300112InitService
 * @Description 项目编辑初始化的业务接口
 * @Author andy
 * @CreateDate 2013-12-16
 */
public interface Rb0300112InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目编辑初始化的业务方法
     */
    String perform(Rb0300112InitInput input, Rb0300112InitOutput output) throws Exception;
}
