package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300130InitInput;
import com.nationrel.modules.project.dto.output.Rb0300130InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300130InitService
 * @Description 项目检查列表初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-18
 */
public interface Rb0300130InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查列表初始化的业务方法
     */
    String perform(Rb0300130InitInput input, Rb0300130InitOutput output) throws Exception;
}
