package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300130SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300130SaveOutput;

/**
 * @version V1.0
 * @ClassName Rb0300130SaveService
 * @Description 项目检查列表保存业务接口
 * @Author andy
 * @CreateDate 2013-12-19
 */
public interface Rb0300130SaveService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查列表保存业务方法
     */
    String perform(Rb0300130SaveInput input, Rb0300130SaveOutput output) throws Exception;
}
