package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300140InitInput;
import com.nationrel.modules.project.dto.output.Rb0300140InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300140InitService
 * @Description 项目成员列表初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-24
 */
public interface Rb0300140InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员列表初始化的业务方法
     */
    String perform(Rb0300140InitInput input, Rb0300140InitOutput output) throws Exception;
}
