package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300150InitInput;
import com.nationrel.modules.project.dto.output.Rb0300150InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300150InitService
 * @Description 项目文档列表初始化的业务接口
 * @Author andy
 * @CreateDate 2013-12-24
 */
public interface Rb0300150InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员列表初始化的业务方法
     */
    String perform(Rb0300150InitInput input, Rb0300150InitOutput output) throws Exception;
}
