package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300151SearchInput;
import com.nationrel.modules.project.dto.output.Rb0300151SearchOutput;

/**
 * @version V1.0
 * @ClassName Rb0300151SearchService
 * @Description 任务交付物选择列表页面搜索初始化的业务接口
 * @Author aaron
 * @CreateDate 2014-03-17
 */
public interface Rb0300151SearchService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务交付物选择列表初始化的业务方法
     */
    String perform(Rb0300151SearchInput input, Rb0300151SearchOutput output) throws Exception;
}
