package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300220DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300220DeleteOutput;

/**
 * @version V1.0
 * @ClassName Rb0300220DeleteService
 * @Description 任务删除的业务接口
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
public interface Rb0300220DeleteService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务删除的业务方法
     */
    String perform(Rb0300220DeleteInput input, Rb0300220DeleteOutput output) throws Exception;
}
