package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300241AddMemberInput;
import com.nationrel.modules.project.dto.output.Rb0300241AddMemberOutput;

/**
 * @version V1.0
 * @ClassName Rb0300241AddMemberService
 * @Description TG增加成员业务接口
 * @Author andy
 * @CreateDate 2013-12-24
 */
public interface Rb0300241AddMemberService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 成员添加的业务方法
     */
    String perform(Rb0300241AddMemberInput input, Rb0300241AddMemberOutput output) throws Exception;
}
