package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300250InitInput;
import com.nationrel.modules.project.dto.output.Rb0300250InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0400250InitService
 * @Description TG文档列表初始化的业务接口
 * @Author andy
 * @CreateDate 2014-01-06
 */
public interface Rb0300250InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员列表初始化的业务方法
     */
    String perform(Rb0300250InitInput input, Rb0300250InitOutput output) throws Exception;
}
