package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300260CheckInput;
import com.nationrel.modules.project.dto.output.Rb0300260CheckOutput;

/**
 * @version V1.0
 * @ClassName Rb0300260CheckService
 * @Description Task阶段检查初始化的业务接口
 * @Author ted
 * @CreateDate 2013-12-18
 */
public interface Rb0300260CheckService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description Task阶段检查的业务方法
     */
    String perform(Rb0300260CheckInput input, Rb0300260CheckOutput output) throws Exception;
}
