package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300311ChooseInitInput;
import com.nationrel.modules.project.dto.output.Rb0300311ChooseInitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300311ChooseInitService
 * @Description 任务成员选择页面初始化的业务接口
 * @Author aaron
 * @CreateDate 2014-01-20
 */
public interface Rb0300311ChooseInitService {

    /**
     * @Title: perform
     * @Description 任务成员选择页面初始化的业务方法

     * @param input 输入参数
     * @param output 输出参数
     * @return 操作结果
     */
    String perform(Rb0300311ChooseInitInput input, Rb0300311ChooseInitOutput output) throws Exception;
}
