package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300311SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300311SaveOutput;
import com.nationrel.modules.project.jar.action.MessageSupport;


/**
 * @version V1.0
 * @ClassName Rb0300311SaveService
 * @Description 任务保存初始化的业务接口
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
public interface Rb0300311SaveService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务保存初始化的业务方法
     */
    String perform(Rb0300311SaveInput input, Rb0300311SaveOutput output) throws Exception;

    /**
     * @param messageSupport
     * @param tgId
     * @param taskName
     * @return void
     * @Title: checkInputTaskName
     * @Description: 检查任务名称在同一个TG中是否已经存在
     */
    @Deprecated
    void checkInputTaskName(MessageSupport messageSupport, String tgId, String taskName);
}
