package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300312SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300312SaveOutput;

/**
 * @version V1.0
 * @ClassName Rb0300312SaveService
 * @Description 任务编辑初始化的业务接口
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
public interface Rb0300312SaveService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务编辑初始化的业务方法
     */
    String perform(Rb0300312SaveInput input, Rb0300312SaveOutput output) throws Exception;

    /**

     * @param input
     * @param output
     * @return
     * @throws Exception String
     * @Title: findAuthMap
     * @Description: 取得任务页面级权限
     */
    void findAuthMap(Rb0300312SaveInput input, Rb0300312SaveOutput output) throws Exception;
}
