package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300330InitInput;
import com.nationrel.modules.project.dto.output.Rb0300330InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300330InitService
 * @Description TASK检查列表初始化的业务接口
 * @Author ted
 * @CreateDate 2013-12-18
 */
public interface Rb0300330InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description TASK检查列表初始化的业务方法
     */
    String perform(Rb0300330InitInput input, Rb0300330InitOutput output) throws Exception;
}
