package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300331InitInput;
import com.nationrel.modules.project.dto.output.Rb0300331InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300331InitService
 * @Description 任务检查项创建初期化业务接口
 * @Author ted
 * @CreateDate 2013-12-19
 */
public interface Rb0300331InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务检查项创建初期化业务方法
     */
    String perform(Rb0300331InitInput input, Rb0300331InitOutput output) throws Exception;
}
