package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300350DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300350DeleteOutput;

/**
 * @version V1.0
 * @ClassName Rb0300350DeleteService
 * @Description 任务交付删除业务接口
 * @Author andy
 * @CreateDate 2014-01-07
 */
public interface Rb0300350DeleteService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务交付删除业务方法
     */
    String perform(Rb0300350DeleteInput input, Rb0300350DeleteOutput output) throws Exception;
}
