package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300350InitInput;
import com.nationrel.modules.project.dto.output.Rb0300350InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0400424InitService
 * @Description 任务交付列表初始化的业务接口
 * @Author andy
 * @CreateDate 2014-03-17
 */
public interface Rb0300350InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务交付列表初始化的业务方法
     */
    String perform(Rb0300350InitInput input, Rb0300350InitOutput output) throws Exception;
}
