package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405211CheckInput;
import com.nationrel.modules.project.dto.output.Rb0405211CheckOutput;

/**
 * @version V1.0
 * @ClassName Rb0405211InitService
 * @Description 预防性措施规划状态迁移检查业务接口
 * @Author andy
 * @CreateDate 2014-05-04
 */
public interface Rb0405211CheckService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 预防性措施规划状态迁移检查业务方法
     */
    String perform(Rb0405211CheckInput input, Rb0405211CheckOutput output) throws Exception;
}
