package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300111InitInput;
import com.nationrel.modules.project.dto.output.Rb0300111InitOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.service.Rb0300111InitService;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300111InitServiceImpl
 * @Description 项目对象创建初始化业务实现类
 * @Author andy
 * @CreateDate 2013-12-10
 */
@Service
public class Rb0300111InitServiceImpl implements Rb0300111InitService {


    /**
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title perform
     * @Description 项目对象创建业务方法
     */
    @Override
    public String perform(Rb0300111InitInput input, Rb0300111InitOutput output) throws Exception {

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
