// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 系统变量设置
 */
@Data
@Component("sysConfig")
@ConfigurationProperties(prefix = "reliabench")
public class SysConfig {

    private String sysName;

    private String percentStatMethod;

    private String percentScaleSwitch;

    private String minPercent;

    private String taskTreeMaxDeep;
}
