package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300130DeleteInput
 * @Description 检查项删除入参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300130DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 项目检查标识
     */
    private Integer projectCheckId;

    /**
     * @return the projectCheckId
     */
    public Integer getProjectCheckId() {
        return projectCheckId;
    }

    /**
     * @param projectCheckId the projectCheckId to set
     */
    public void setProjectCheckId(Integer projectCheckId) {
        this.projectCheckId = projectCheckId;
    }

}
