package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.entity.PmProjectCheck;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300130SaveInput
 * @Description 项目检查列表保存入参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300130SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * 检查列表
     */
    private List<PmProjectCheck> pmProjectCheck;

    /**
     * @return the pmProjectCheck
     */
    public List<PmProjectCheck> getPmProjectCheck() {
        return pmProjectCheck;
    }

    /**
     * @param pmProjectCheck the pmProjectCheck to set
     */
    public void setPmProjectCheck(List<PmProjectCheck> pmProjectCheck) {
        this.pmProjectCheck = pmProjectCheck;
    }
}
