package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300140SaveInput
 * @Description 项目成员页面保存入参封装类
 * @Author andy
 * @CreateDate 2013-12-25
 */
@Component
@Scope("prototype")
public class Rb0300140SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户Id集合
     */
    private String[] userIds;

    /**
     * 角色Id集合
     */
    private String[] roleIds;

    /**
     * @return the userIds
     */
    public String[] getUserIds() {
        return userIds;
    }

    /**
     * @param userIds the userIds to set
     */
    public void setUserIds(String[] userIds) {
        this.userIds = userIds;
    }

    /**
     * @return the roleIds
     */
    public String[] getRoleIds() {
        return roleIds;
    }

    /**
     * @param roleIds the roleIds to set
     */
    public void setRoleIds(String[] roleIds) {
        this.roleIds = roleIds;
    }

}
