package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300141AddMemberInput
 * @Description 项目成员选择页面添加成员初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300141AddMemberInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户组Id集合
     */
    private String[] groupIds;

    /**
     * 成员Id集合
     */
    private String[] memberIds;

    /**
     * @return the groupIds
     */
    public String[] getGroupIds() {
        return groupIds;
    }

    /**
     * @param groupIds the groupIds to set
     */
    public void setGroupIds(String[] groupIds) {
        this.groupIds = groupIds;
    }

    /**
     * @return the memberIds
     */
    public String[] getMemberIds() {
        return memberIds;
    }

    /**
     * @param memberIds the memberIds to set
     */
    public void setMemberIds(String[] memberIds) {
        this.memberIds = memberIds;
    }

}
