package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300141SearchMemberInput
 * @Description 项目成员人员搜索页面初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-30
 */
@Component
@Scope("prototype")
public class Rb0300141SearchMemberInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员名称
     */
    private String userName;

    /**
     * 用户组下拉框
     */
    private String sysUserGroupCombox;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the sysUserGroupCombox
     */
    public String getSysUserGroupCombox() {
        return sysUserGroupCombox;
    }

    /**
     * @param sysUserGroupCombox the sysUserGroupCombox to set
     */
    public void setSysUserGroupCombox(String sysUserGroupCombox) {
        this.sysUserGroupCombox = sysUserGroupCombox;
    }

}
