package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300211SaveInput
 * @Description TG创建入参封装类
 * @Author andy
 * @CreateDate 2013-12-17
 */
@Component
@Scope("prototype")
public class Rb0300211SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG 名称
     */
    private String tgName;

    /**
     * 计划开始时间
     */
    private String planStartTime;

    /**
     * 计划结束时间
     */
    private String planEndTime;

    /**
     * tg顺序
     */
    private String gradation;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the tgName
     */
    public String getTgName() {
        return tgName;
    }

    /**
     * @param tgName the tgName to set
     */
    public void setTgName(String tgName) {
        this.tgName = tgName;
    }

    /**
     * @return the planStartTime
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @return the gradation
     */
    public String getGradation() {
        return gradation;
    }

    /**
     * @param gradation the gradation to set
     */
    public void setGradation(String gradation) {
        this.gradation = gradation;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
}
