package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300250InitInput
 * @Description TG文档删除入参的封装类
 * @Author andy
 * @CreateDate 2014-01-07
 */
@Component
@Scope("prototype")
public class Rb0300250DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 文档 Id
     */
    private String deliveryId;

    /**
     * 交付类型
     */
    private String deliveryType;

    /**
     * @return the deliveryId
     */
    public String getDeliveryId() {
        return deliveryId;
    }

    /**
     * @param deliveryId the deliveryId to set
     */
    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    /**
     * @return the deliveryType
     */
    public String getDeliveryType() {
        return deliveryType;
    }

    /**
     * @param deliveryType the deliveryType to set
     */
    public void setDeliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
    }
}
