package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300370SaveInput
 * @Description 工具添加保存输入
 * @Author 孔徐文
 * @CreateDate 2014-4-29
 */
@Component
@Scope("prototype")
public class Rb0300370SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 已选工具
     */
    private String tools;

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the tools
     */
    public String getTools() {
        return tools;
    }

    /**
     * @param tools the tools to set
     */
    public void setTools(String tools) {
        this.tools = tools;
    }
}
