package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405322InitInput
 * @Description 预防性措施规划追踪(图形)初始化入参封装类
 * @Author andy
 * @CreateDate 2014-05-09
 */
@Component
@Scope("prototype")
public class Rb0405322InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施评估Id
     */
    private String proactiveId;

    /**
     * @return the proactiveId
     */
    public String getProactiveId() {
        return proactiveId;
    }

    /**
     * @param proactiveId the proactiveId to set
     */
    public void setProactiveId(String proactiveId) {
        this.proactiveId = proactiveId;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

}
