package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.TaskPageModel;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300212InitOutput
 * @Description TG审批查看页面出参封装类
 * @Author andy
 * @CreateDate 2014-05-14
 */
@Component
@Scope("prototype")
public class Rb0300105InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务列表
     */
    private List<TaskPageModel> tasks;

    /**
     * TG对象封装
     */
    private Map<String, Object> tgMap;

    /**
     * @Fields isAllCreate : 1是 | 0否
     */
    private int isAllCreate;

    /**
     * @return the tasks
     */
    public List<TaskPageModel> getTasks() {
        return tasks;
    }

    /**
     * @param tasks the tasks to set
     */
    public void setTasks(List<TaskPageModel> tasks) {
        this.tasks = tasks;
    }

    /**
     * @return the tgMap
     */
    public Map<String, Object> getTgMap() {
        return tgMap;
    }

    /**
     * @param tgMap the tgMap to set
     */
    public void setTgMap(Map<String, Object> tgMap) {
        this.tgMap = tgMap;
    }

    /**
     * @return the isAllCreate
     */
    public int getIsAllCreate() {
        return isAllCreate;
    }

    /**
     * @param isAllCreate the isAllCreate to set
     */
    public void setIsAllCreate(int isAllCreate) {
        this.isAllCreate = isAllCreate;
    }

}
