package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300141InitOutput
 * @Description 项目成员选择页面初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300141InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 组列表数据
     */
    private List<?> list;

    /**
     * 用户列表标识
     */
    private String flagForUserList;

    /**
     * 用户列表数据
     */
    private List<Map<String, Object>> userMap;

    /**
     * 用户组下拉框数据
     */
//    private List<SysUserGroup> sysUserGroup;

    /**
     * @return the sysUserGroup
     */
//    public List<SysUserGroup> getSysUserGroup() {
//        return sysUserGroup;
//    }

    /**
     * @param sysUserGroup the sysUserGroup to set
     */
//    public void setSysUserGroup(List<SysUserGroup> sysUserGroup) {
//        this.sysUserGroup = sysUserGroup;
//    }

    /**
     * @return the flagForUserList
     */
    public String getFlagForUserList() {
        return flagForUserList;
    }

    /**
     * @param flagForUserList the flagForUserList to set
     */
    public void setFlagForUserList(String flagForUserList) {
        this.flagForUserList = flagForUserList;
    }

    /**
     * @return the userMap
     */
    public List<Map<String, Object>> getUserMap() {
        return userMap;
    }

    /**
     * @param userMap the userMap to set
     */
    public void setUserMap(List<Map<String, Object>> userMap) {
        this.userMap = userMap;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the list
     */
    public List<?> getList() {
        return list;
    }

    /**
     * @param list the list to set
     */
    public void setList(List<?> list) {
        this.list = list;
    }

}
