package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300143DeleteOutput
 * @Description 成员删除出参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300143DeleteOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * @Fields staffReferences : 人员引用列表
     */
    private List<Map<String, String>> staffReferences;

    /**
     * @Fields userName : 成员名称
     */
    private String userName;

    /**
     * @return the staffReferences
     */
    public List<Map<String, String>> getStaffReferences() {
        return staffReferences;
    }

    /**
     * @param staffReferences the staffReferences to set
     */
    public void setStaffReferences(List<Map<String, String>> staffReferences) {
        this.staffReferences = staffReferences;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }
}
