package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300311InitOutput
 * @Description 任务成员选择页面初始化出参封装类
 * @Author andy
 * @CreateDate 2014-01-20
 */
@Component
@Scope("prototype")
public class Rb0300311ChooseStaffOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 上级可选用户列表
     */
    private List<Map<String, String>> userList;

    /**
     * 姓名
     */
    private String userName;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the userList
     */
    public List<Map<String, String>> getUserList() {
        return userList;
    }

    /**
     * @param userList the userList to set
     */
    public void setUserList(List<Map<String, String>> userList) {
        this.userList = userList;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

}
