package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300340InitOutput
 * @Description 任务成员列表初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300340InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务成员列表
     */
    private List<Map<String, Object>> pmTaskStaffs;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * 显示操作按钮的数量
     */
    private int ctrOptCount;

    /**
     * @return the pmTaskStaffs
     */
    public List<Map<String, Object>> getPmTaskStaffs() {
        return pmTaskStaffs;
    }

    /**
     * @param pmTaskStaffs the pmTaskStaffs to set
     */
    public void setPmTaskStaffs(List<Map<String, Object>> pmTaskStaffs) {
        this.pmTaskStaffs = pmTaskStaffs;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

    /**
     * @return the ctrOptCount
     */
    public int getCtrOptCount() {
        return ctrOptCount;
    }

    /**
     * @param ctrOptCount the ctrOptCount to set
     */
    public void setCtrOptCount(int ctrOptCount) {
        this.ctrOptCount = ctrOptCount;
    }

}
