package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0405211InitOutput
 * @Description 预防性措施规划选择责任人出参的封装类
 * @Author andy
 * @CreateDate 2014-04-25
 */
@Component
@Scope("prototype")
public class Rb0405291InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回结果
     */
    private List<Map<String, Object>> pmProjectStaffs;

    /**
     * @return the pmProjectStaffs
     */
    public List<Map<String, Object>> getPmProjectStaffs() {
        return pmProjectStaffs;
    }

    /**
     * @param pmProjectStaffs the pmProjectStaffs to set
     */
    public void setPmProjectStaffs(List<Map<String, Object>> pmProjectStaffs) {
        this.pmProjectStaffs = pmProjectStaffs;
    }

}
