package com.nationrel.modules.project.entity;


/**
 * @version V1.0
 * @ClassName PpProactivePlanPageModel
 * @Description 预防性规划管理页面数据的封装类
 * @Author andy
 * @CreateDate 2014-04-22
 */
public class PpPlanPageModel {

    /**
     * 交付Id
     */
    private String deliveryId;

    /**
     * 插入用户Id
     */
    private String insertUserId;

    /**
     * 交付人
     */
    private String insertUserName;

    /**
     * 交付链接
     */
    private String businessUrl;

    /**
     * 插入时间
     */
    private String insertTime;

    /**
     * 负责人
     */
    private String principal;

    /**
     *
     */
    private String deliverySrc;

    /**
     * 交付标识
     */
    private String srcId;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     *
     */
    private String proactiveName;

    /**
     *
     */
    private String proactivePlanName;

    /**
     *
     */
    private String responsible;

    /**
     * 交付者
     */
    private String userName;

    /**
     * 交付者Id
     */
    private String userId;

    /**
     * 责任人Id
     */
    private String responsibleId;

    /**
     * 编辑预防性措施规划的权限
     */
    private Boolean modifyPlanAuth;

    /**
     * @return the responsibleId
     */
    public String getResponsibleId() {
        return responsibleId;
    }

    /**
     * @param responsibleId the responsibleId to set
     */
    public void setResponsibleId(String responsibleId) {
        this.responsibleId = responsibleId;
    }

    /**
     * @return the modifyPlanAuth
     */
    public Boolean getModifyPlanAuth() {
        return modifyPlanAuth;
    }

    /**
     * @param modifyPlanAuth the modifyPlanAuth to set
     */
    public void setModifyPlanAuth(Boolean modifyPlanAuth) {
        this.modifyPlanAuth = modifyPlanAuth;
    }


    /**
     * 生命周期状态
     */
    private String lifeState;

    /**
     *
     */
    private String stateName;

    /**
     * @return the userId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the businessUrl
     */
    public String getBusinessUrl() {
        return businessUrl;
    }

    /**
     * @param businessUrl the businessUrl to set
     */
    public void setBusinessUrl(String businessUrl) {
        this.businessUrl = businessUrl;
    }

    /**
     * @return the deliveryId
     */
    public String getDeliveryId() {
        return deliveryId;
    }

    /**
     * @param deliveryId the deliveryId to set
     */
    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertTime
     */
    public String getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(String insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the deliverySrc
     */
    public String getDeliverySrc() {
        return deliverySrc;
    }

    /**
     * @param deliverySrc the deliverySrc to set
     */
    public void setDeliverySrc(String deliverySrc) {
        this.deliverySrc = deliverySrc;
    }

    /**
     * @return the srcId
     */
    public String getSrcId() {
        return srcId;
    }

    /**
     * @param srcId the srcId to set
     */
    public void setSrcId(String srcId) {
        this.srcId = srcId;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the proactivePlanName
     */
    public String getProactivePlanName() {
        return proactivePlanName;
    }

    /**
     * @param proactivePlanName the proactivePlanName to set
     */
    public void setProactivePlanName(String proactivePlanName) {
        this.proactivePlanName = proactivePlanName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the principal
     */
    public String getPrincipal() {
        return principal;
    }

    /**
     * @param principal the principal to set
     */
    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    /**
     * @return the insertUserName
     */
    public String getInsertUserName() {
        return insertUserName;
    }

    /**
     * @param insertUserName the insertUserName to set
     */
    public void setInsertUserName(String insertUserName) {
        this.insertUserName = insertUserName;
    }

}
