// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.entity.base;

/**
 * @ClassName AbstractpaAnalysis
 * @Description PA预防性措施评估表基类
 * @Author 自动生成
 * @CreateDate 2014-4-25
 * @Version V1.0
 */
public abstract class AbstractPaAnalysis {

    /** 预防性措施评估ID */
    private String paAnalysisId;

    /** 预防性措施评估名称 */
    private String paAnalysisName;

    /** 类型 */
    private String paAnalysisType;

    /** 风险评估ID */
    private String assessmentId;

    /** @Fields objectCode : 对象编号 */
    private String objectCode;

    /** 对象名称 */
    private String objectName;

    /** 描述 */
    private String description;

    /** 版本编码 */
    private String versionCode;

    /** 版本分组 */
    private String versionSeries;

    /** 版本源标识 */
    private String versionParent;

    /** 周期状态 */
    private String lifeState;

    /** 发布时间 */
    private java.util.Date releaseTime;

    /** 删除状态 */
    private String delFlag;

    /** 创建时间 */
    private java.util.Date insertTime;

    /** 创建者 */
    private String insertUserId;

    /** 创建程序ID */
    private String insertPgmId;

    /** 更新时间 */
    private java.util.Date updateTime;

    /** 更新者 */
    private String updateUserId;

    /** 更新程序ID */
    private String updatePgmId;

    /** 版本号 */
    private Integer versionNo;


    /**
     * @return the paAnalysisId
     */
    public String getPaAnalysisId() {
        return paAnalysisId;
    }
    /**
     * @param paAnalysisId the paAnalysisId to set
     */
    public void setPaAnalysisId(String paAnalysisId) {
        this.paAnalysisId = paAnalysisId;
    }
    /**
     * @return the paAnalysisName
     */
    public String getPaAnalysisName() {
        return paAnalysisName;
    }
    /**
     * @param paAnalysisName the paAnalysisName to set
     */
    public void setPaAnalysisName(String paAnalysisName) {
        this.paAnalysisName = paAnalysisName;
    }
    /**
     * @return the paAnalysisType
     */
    public String getPaAnalysisType() {
        return paAnalysisType;
    }
    /**
     * @param paAnalysisType the paAnalysisType to set
     */
    public void setPaAnalysisType(String paAnalysisType) {
        this.paAnalysisType = paAnalysisType;
    }
    /**
     * @return the assessmentId
     */
    public String getAssessmentId() {
        return assessmentId;
    }
    /**
     * @param assessmentId the assessmentId to set
     */
    public void setAssessmentId(String assessmentId) {
        this.assessmentId = assessmentId;
    }
    /**
     * @return the objectName
     */
    public String getObjectName() {
        return objectName;
    }
    /**
     * @return the objectCode
     */
    public String getObjectCode() {
        return objectCode;
    }
    /**
     * @param objectCode the objectCode to set
     */
    public void setObjectCode(String objectCode) {
        this.objectCode = objectCode;
    }
    /**
     * @param objectName the objectName to set
     */
    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }
    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }
    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * @return the versionCode
     */
    public String getVersionCode() {
        return versionCode;
    }
    /**
     * @param versionCode the versionCode to set
     */
    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }
    /**
     * @return the versionSeries
     */
    public String getVersionSeries() {
        return versionSeries;
    }
    /**
     * @param versionSeries the versionSeries to set
     */
    public void setVersionSeries(String versionSeries) {
        this.versionSeries = versionSeries;
    }
    /**
     * @return the versionParent
     */
    public String getVersionParent() {
        return versionParent;
    }
    /**
     * @param versionParent the versionParent to set
     */
    public void setVersionParent(String versionParent) {
        this.versionParent = versionParent;
    }
    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }
    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }
    /**
     * @return the releaseTime
     */
    public java.util.Date getReleaseTime() {
        return releaseTime;
    }
    /**
     * @param releaseTime the releaseTime to set
     */
    public void setReleaseTime(java.util.Date releaseTime) {
        this.releaseTime = releaseTime;
    }
    /**
     * @return the delFlag
     */
    public String getDelFlag() {
        return delFlag;
    }
    /**
     * @param delFlag the delFlag to set
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }
    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }
    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }
    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }
    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }
    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }
    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }
    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
     * @return the updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }
    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }
    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }
    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }
    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
