// Copyright(c) 2013 ReliaBench. All rights reserved.

package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @ClassName ImportType
 * @Description ImportType定义
 * @Author vic.fan
 * @CreateDate 2013-8-5
 * @Version V1.0
 */
public enum AuthHow {
    LIST("how.list"),
    EDIT("how.edit"),
    DELETE("how.delete"),
    ADD("how.add"),
    PRODUCT_SPECTRUM("how.productspectrum"),
    PRODUCT("how.product"),
    PC("how.pc"),
    R_BOM("how.rbom"),
    PARTS("how.parts"),
    PARTS_PC("how.partspc"),
    PURCHASE("how.purchase"),
    VENDOR("how.vendor"),
    POPULATION("how.population"),
    POPULATION_PARTS("how.population_parts"),
    SALES("how.sales"),
    CUSTOMER("how.customer"),
    WARRANTY("how.warranty"),
    FAILURE("how.failure"),
    FAILURE_MODE("how.failuremode");

    /**
     * 实际值
     */
    private String value = null;

    /**
     * 从实际值构造
     */
    AuthHow(String value) {
        this.value = value;
    }

    /**
     * 实际值
     */
    public String value() {
        return value;
    }

    /**
     * 从实际值构造
     */
    public static AuthWhat valueOfString(String value) {
        for (AuthWhat authWhat : AuthWhat.values()) {
            if (authWhat.value().equals(value)) {
                return authWhat;
            }
        }
        return null;
    }
}
