// Copyright(c) 2013 ReliaBench. All rights reserved.

package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @ClassName AuthWhat
 * @Description AuthWhat定义
 * @Author vic.fan
 * @CreateDate 2013-8-5
 * @Version V1.0
 */
public enum AuthWhat {
    PERSONAL_INFORMATION("what.personalinformation"),
    USER("what.user"),
    IMPORT_DATA("what.importdata");

    /**
     * 实际值
     */
    private String value = null;

    /**
     * 从实际值构造
     */
    AuthWhat(String value) {
        this.value = value;
    }

    /**
     * 实际值
     */
    public String value() {
        return value;
    }

    /**
     * 从实际值构造
     */
    public static AuthWhat valueOfString(String value) {
        for (AuthWhat authWhat : AuthWhat.values()) {
            if (authWhat.value().equals(value)) {
                return authWhat;
            }
        }
        return null;
    }
}
