package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName BizCmCode
 * @Description 业务编码大分类
 * @Author reliabench
 * @CreateDate 2014-8-19
 */
public class BizCmCode {

    private BizCmCode() {
        super();
    }

    // WDA Analysis Objective
    public static final String BIZ_WDA_ANALYSIS_OBJECTIVE = "001";
    // WDA Time Unit
    public static final String BIZ_WDA_TIME_UNIT = "002";
    // WB Distribution
    public static final String BIZ_WB_DISTRIBUTION = "003";
    // WB Parameter
    public static final String BIZ_WB_PARAMETER = "004";
    // WB Evaluate
    public static final String BIZ_WB_EVALUATE = "005";
    // WB RankingMethod
    public static final String BIZ_WB_RANKINGMETHOD = "006";
    // WB ConfidenceType
    public static final String BIZ_WB_CONFIDENCETYPE = "007";
    // WB ConfidenceMethod
    public static final String BIZ_WB_CONFIDENCEMETHOD = "008";
    // WDA Data Resource
    public static final String BIZ_WDA_DATA_RESOURCE = "009";
    // WDA Repair Type
    public static final String BIZ_WDA_REPAIR_TYPE = "010";
    // WDA Warranty Type
    public static final String BIZ_WDA_WARRANTY_TYPE = "011";
    // WDA Analysis Type
    public static final String BIZ_WDA_ANALYSIS_TYPE = "012";
    // WDA CharType1
    public static final String BIZ_WDA_CHARTYPE1 = "013";
    // WDA CharType2
    public static final String BIZ_WDA_CHARTYPE2 = "014";
    // WF Approval Action
    public static final String BIZ_WF_APPROVAL_ACTION = "015";
    // WF Task State
    public static final String BIZ_WF_TASK_STATE = "016";
    // Notice Type
    public static final String BIZ_NOTICE_TYPE = "017";
    // Critical Level
    public static final String BIZ_CRITICAL_LEVEL = "018";
    // Notice Way
    public static final String BIZ_NOTICE_WAY = "019";
    // Participant Type
    public static final String BIZ_PARTICIPANT_TYPE = "020";
    // Part Critical Level
    public static final String BIZ_PART_CRITICAL_LEVEL = "021";
    // PM Type
    public static final String BIZ_PM_TYPE = "022";
    // PM Application
    public static final String BIZ_PM_APPLICATION = "023";
    // Reliability Index
    public static final String BIZ_RELIABILITY_INDEX = "024";
    // Proactive type
    public static final String BIZ_PROACTIVE_TYPE = "025";
    // WF Instance State
    public static final String BIZ_WF_INSTANCE_STATE = "027";
    // TS Allocation Method
    public static final String BIZ_TS_ALLOCATION_METHOD = "028";
    // Target Type
    public static final String BIZ_TARGET_TYPE = "030";
    // TS Setting Method
    public static final String BIZ_TS_SETTING_METHOD = "032";
    // Metric Type
    public static final String BIZ_METRIC_TYPE = "033";
    // PT Problem Severity
    public static final String BIZ_PT_PROBLEM_SEVERITY = "034";
    // WB Data Resource
    public static final String BIZ_WB_DATA_RESOURCE = "041";
    // Document Related Type
    public static final String BIZ_DOCUMENT_RELATED_TYPE = "042";
    // TS Metric Type
    public static final String BIZ_TS_METRIC_TYPE = "043";
    // TS Time Unit
    public static final String BIZ_TS_TIME_UNIT = "044";
    /**
     * @Fields BIZ_DFMEA_SEVERITY_TYPE :
     */
    public static final String BIZ_DFMEA_SEVERITY_TYPE = "054";
    public static final String BIZ_DFMEA_FEATURE_LOGIC = "055";
    /**
     * @Fields BIZ_PFMEA_SEVERITYTYPE : PFMEA severityType
     */
    public static final String BIZ_PFMEA_SEVERITY_TYPE = "058";
    /**
     * @Fields BIZ_PFMEA_FEATURE_LOGIC : PFMEA Feature_Logic
     */
    public static final String BIZ_PFMEA_FEATURE_LOGIC = "060";
    /**
     * @Fields BIZ_FMEA_STATE : FMEA管理-状态
     */
    public static final String BIZ_FMEA_STATE = "061";

    /**
     * @Fields BIZ_LANGUAGE : 语言
     */
    public static final String BIZ_LANGUAGE = "075";

    /**
     * @Fields BIZ_Diagram : 边界图
     */
    public static final String BIZ_DIAGRAM = "078";

}
