// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName BizModuleCode
 * @Description 系统模块表(T_SYS_MODULE)
 * @Author ted.liu
 * @CreateDate 2014-9-2
 */
public final class BizModuleCode {
    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    private BizModuleCode() {
        super();
    }

    /**
     * 系统模块表里的moduleId和moduleName
     */
    public static final String MODULE_ID_PC = "001";
    /**
     * 文档
     */
    public static final String MODULE_ID_DOCUMENT = "002";
    /**
     * 审批模板
     */
    public static final String MODULE_ID_PROCESS = "003";
    /**
     * weibull分析
     */
    public static final String MODULE_ID_WEIBULL = "004";
    /**
     * 维修数据分析
     */
    public static final String MODULE_ID_WDA = "005";
    /**
     * 可靠性流程
     */
    public static final String MODULE_ID_PROJECT = "007";
    /**
     * 可靠性流程TG
     */
    public static final String MODULE_ID_TG = "008";
    /**
     * 可靠性流程TASK
     */
    public static final String MODULE_ID_TASK = "010";
    /**
     * 风险分析之基准
     */
    public static final String MODULE_ID_BASELINE = "012";
    /**
     * 设计变更
     */
    public static final String MODULE_ID_DESIGN_CHANGE = "013";
    /**
     * 寿命数据分组
     */
    public static final String MODULE_ID_LDG = "025";
    /**
     * 寿命数据多图
     */
    public static final String MODULE_ID_LDM = "032";
    /**
     * 寿命数据分析
     */
    public static final String MODULE_ID_LDA = "031";
    /**
     * 风险分析
     */
    public static final String MODULE_ID_ASSESSMENT = "014";
    /**
     * 预防性措施
     */
    public static final String MODULE_ID_PROACTIVE = "015";
    /**
     * 审批任务
     */
    public static final String MODULE_ID_WFTASK = "018";
    /**
     * 目标设定之系统
     */
    public static final String MODULE_ID_TARGETSET = "019";
    /**
     * 子系统目标设定
     */
    public static final String MODULE_ID_TARGETSET_SUB = "020";
    /**
     * 预防性措施规划
     */
    public static final String MODULE_ID_PP_PLAN = "021";
    /**
     * 增长规划
     */
    public static final String MODULE_ID_PLAN = "022";
    /**
     * 增长计划
     */
    public static final String MODULE_ID_SCHEDULE = "023";
    /**
     * 增长追踪
     */
    public static final String MODULE_ID_TRACK = "024";
    /**
     * 共享
     */
    public static final String MODULE_ID_SHARE = "033";
    /**
     * DFMEA
     */
    public static final String MODULE_ID_DFMEA = "035";
    /**
     * 任务
     */
    public static final String MODULE_ID_TASK_MANAGE = "036";
    /**
     * PFMEA
     */
    public static final String MODULE_ID_PFMEA = "038";
    /**
     * FMEA管理
     */
    public static final String MODULE_ID_FMEA = "039";
    /**
     * 闭环项目管理
     */
    public static final String MODULE_ID_FRACAS = "040";
    /**
     * 问题管理
     */
    public static final String MODULE_ID_PROBLEM = "041";
    /**
     * 闭环项目阶段管理
     */
    public static final String MODULE_ID_FRACAS_PHASE = "042";
    /**
     * 闭环项目阶段迁移
     */
    public static final String MODULE_ID_FRACAS_REBUILD_PHASE = "043";
    /**
     * 产品
     */
    public static final String MODULE_ID_PRODUCT = "044";
    /**
     * R-DFMEA
     */
    public static final String MODULE_ID_RDFM = "045";
    /**
     * R-PFMEA
     */
    public static final String MODULE_ID_RPFM = "046";
    /**
     * 寿命数据分组
     */
    public static final String MODULE_ID_RLDG = "047";
    /**
     * 寿命数据多图
     */
    public static final String MODULE_ID_RLDM = "049";
    /**
     * 寿命数据分析
     */
    public static final String MODULE_ID_RLDA = "048";
    /**
     * 加速分析
     */
    public static final String MODULE_ID_ALTA = "051";
}
