// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName BizModuleCodeState
 * @Description 系统各模块状态表(T_SYS_STATE_CONFIG)
 * @Author ted.liu
 * @CreateDate 2014-9-2
 */
public final class BizModuleCodeState {
    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    private BizModuleCodeState() {
        super();
    }

    /**
     * 任务状态未开始(036)
     */
    public static final String TASK_MANAGE_STATE_UNSTART = "00";
    /**
     * 任务状态进行中(036)
     */
    public static final String TASK_MANAGE_STATE_START = "10";
    /**
     * 任务状态审批中(036)
     */
    public static final String TASK_MANAGE_STATE_APPR = "11";
    /**
     * 任务状态完成(036)
     */
    public static final String TASK_MANAGE_STATE_COMPLETE = "20";
}
