package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName MenuGroupName
 * @Description 系统菜单分组名称
 * @Author reliabench
 * @CreateDate 2014-2-28
 */
public enum MenuGroupName {

    DATA_INTEGRATION("dataintegration"),
    FRAME("frame"),
    LICENSE("license"),
    PERMISSION("permission"),
    PERSONAL_SETTINGS("personalsettings"),
    RELIAFLOW("reliaflow"),
    RISKASSESSMENT("riskassessment"),
    TEMPLATE("template"),
    USERMANAGEMENT("usermanagement"),
    WDA("wda"),
    WEIBULL("weibull");

    /**
     * @Fields name : 菜单组名
     */
    private final String name;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param name
     */
    MenuGroupName(String name) {
        this.name = name;
    }
}
