package com.nationrel.modules.project.jar.rb_common.bizcommon.enums;

/**
 * @ClassName SourceTypeEnum
 * @Deacription 失效来源
 * @Author zk
 * @Date 2021/7/16 17:16
 * @Version 1.0
 **/
public enum SourceTypeEnum {

    MANUAL_INPUT("01", "手动输入"),
    DFMEA_INPUT("02", "DFMEA库输入"),
    ;

    private final String value;

    private final String content;

    SourceTypeEnum(String value, String content) {
        this.value = value;
        this.content = content;
    }

    public String getValue() {
        return value;
    }

    public String getContent() {
        return content;
    }
}
