package com.nationrel.modules.project.jar.rb_common.bizcommon.enums;

/**
 * @ClassName StatusEn
 * @Deacription 状态枚举类
 * @Author zk
 * @Date 2021/7/16 17:16
 * @Version 1.0
 **/
public enum StatusEnum {

    IS_DISPLAY(1, "显示"),
    NO_DISPLAY(0, "不显示"),
    ;

    private final int value;

    private final String content;

    StatusEnum(int value, String content) {
        this.value = value;
        this.content = content;
    }

    public int getValue() {
        return value;
    }

    public String getContent() {
        return content;
    }
}
