// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName FieldPrecision
 * @Description 业务字段精度（小数位）
 * @Author ted.liu
 * @CreateDate 2014-9-1
 */
public enum FieldPrecision {

    /**
     * @Fields FD_CONFIDENCE_LIMIT : 置信度
     */
    FD_CONFIDENCE_LIMIT(2),
    /**
     * @Fields FD_OPERATION_TIME : 运行时间
     */
    FD_OPERATION_TIME(2),
    /**
     * @Fields FD_MTBF : MTBF
     */
    FD_MTBF(2),
    /**
     * @Fields FD_MTBF : 立案管理,整改措施输入项的值
     */
    FD_CORRECTACTION(2),
    /**
     * @Fields FD_FR : 失效率
     */
    FD_FR(6),
    /**
     * @Fields FD_RT : 可靠度
     */
    FD_RT(6),
    /**
     * @Fields FD_PROPORTION : 分配比例
     */
    FD_PROPORTION(2),
    /**
     * @Fields FD_IMPORTANT_DEGREE : 重要度
     */
    FD_IMPORTANT_DEGREE(2),
    /**
     * @Fields FD_DFMEA_FEATURE_VALUE : 产品特征数值
     */
    FD_FMEA_FEATURE_VALUE(6);

    /**
     * @Fields precision : 小数位
     */
    private final int precision;

    /**
     * @return the precision
     */
    public int getPrecision() {
        return precision;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param precision 小数位
     */
    FieldPrecision(int precision) {
        this.precision = precision;
    }
}
