// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.exception;

import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;

import java.io.Serializable;

/**
 * @author vic.fan
 * @version V1.0
 * @ClassName ErrorMessage
 * @Description 错误消息类
 * @date 2013-8-19
 */
public class ErrorMessage implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 8342339359736719695L;

    /**
     * @Fields messageId : 枚举信息
     */
    private MessageId messageId;

    /**
     * 错误码
     */
    private String errorCode;

    /**
     * 参数
     */
    private String[] args;

    /**
     * @return the errorCode
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * @param errorCode the errorCode to set
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    /**
     * @return the args
     */
    public String[] getArgs() {
        return args;
    }

    /**
     * @param args the args to set
     */
    public void setArgs(String[] args) {
        this.args = args;
    }

    /**
     * @return the messageId
     */
    public MessageId getMessageId() {
        return messageId;
    }

    /**
     * @param messageId the messageId to set
     */
    public void setMessageId(MessageId messageId) {
        this.messageId = messageId;
    }
}
