// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.exception;

import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;

/**
 * @author ted.liu
 * @version V1.0
 * @ClassName OptimisticLockException
 * @Description 乐观排他程序
 * @date 2014-4-2
 */
public class OptimisticDataNullException extends AbstractRuntimeException {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 1355837572383864647L;

    /**
     * <p>Title: AbstractRuntimeException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     */
    public OptimisticDataNullException(MessageId messageId) {
        super(messageId);
    }
}
