// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_platform.entity;


import com.nationrel.modules.project.jar.rb_platform.entity.base.AbstractWfInstance;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName WfInstance
 * @Description 审批实例表
 * @Author reliabench
 * @CreateDate 2014-10-28
 */
public class WfInstance extends AbstractWfInstance implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = -6675154429659411567L;

    /**
     * 创建时间
     */
    private String insertTimes;

    /**
     * 发起任务的结束时间
     */
    private String endTimes;

    /**
     * 流程定义名称
     */
    private String processName;

    /**
     * 用户名
     */
    private String userName;

    /**
     * @return the processName
     */
    public String getProcessName() {
        return processName;
    }

    /**
     * @param processName the processName to set
     */
    public void setProcessName(String processName) {
        this.processName = processName;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the insertTimes
     */
    public String getInsertTimes() {
        return insertTimes;
    }

    /**
     * @param insertTimes the insertTimes to set
     */
    public void setInsertTimes(String insertTimes) {
        this.insertTimes = insertTimes;
    }

    /**
     * @return the endTimes
     */
    public String getEndTimes() {
        return endTimes;
    }

    /**
     * @param endTimes the endTimes to set
     */
    public void setEndTimes(String endTimes) {
        this.endTimes = endTimes;
    }

}

