// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_platform.entity;


import com.nationrel.modules.project.jar.rb_platform.entity.base.AbstractWfProcess;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName wfProcess
 * @Description 流程定义表实现类
 * @Author
 * @CreateDate 2013-11-6
 * @Version V1.0
 */
public class WfProcess extends AbstractWfProcess implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 模块名称
     */
    private String moduleName;

    /**
     * @Fields releaseTimeStart : 发布时间段 开始时间
     */
    private Date releaseTimeStart;

    /**
     * @Fields releaseTimeEnd : 发布时间段 结束时间
     */
    private Date releaseTimeEnd;

    /**
     * 状态
     */
    private String stateName;

    /**
     * 业务类型
     */
    private String processTypeStatue;

    /**
     * 创建者名称
     */
    private String insertUserName;

    /**
     * @return the moduleName
     */
    public String getModuleName() {
        return moduleName;
    }

    /**
     * @param moduleName the moduleName to set
     */
    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    /**
     * @return the releaseTimeStart
     */
    public Date getReleaseTimeStart() {
        return releaseTimeStart;
    }

    /**
     * @param releaseTimeStart the releaseTimeStart to set
     */
    public void setReleaseTimeStart(Date releaseTimeStart) {
        this.releaseTimeStart = releaseTimeStart;
    }

    /**
     * @return the releaseTimeEnd
     */
    public Date getReleaseTimeEnd() {
        return releaseTimeEnd;
    }

    /**
     * @param releaseTimeEnd the releaseTimeEnd to set
     */
    public void setReleaseTimeEnd(Date releaseTimeEnd) {
        this.releaseTimeEnd = releaseTimeEnd;
    }

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

    /**
     * @return the processTypeStatue
     */
    public String getProcessTypeStatue() {
        return processTypeStatue;
    }

    /**
     * @param processTypeStatue the processTypeStatue to set
     */
    public void setProcessTypeStatue(String processTypeStatue) {
        this.processTypeStatue = processTypeStatue;
    }

    /**
     * @return the insertUserName
     */
    public String getInsertUserName() {
        return insertUserName;
    }

    /**
     * @param insertUserName the insertUserName to set
     */
    public void setInsertUserName(String insertUserName) {
        this.insertUserName = insertUserName;
    }
}
