// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_platform.entity;


import com.nationrel.modules.project.jar.rb_platform.entity.base.AbstractWfTask;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName wfTask
 * @Description 任务表实现类
 * @Author
 * @CreateDate 2013-11-6
 * @Version V1.0
 */
public class WfTask extends AbstractWfTask implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 时间配置字段
     **/
    private int newTime;

    /**
     * 流程类型主键
     */
    private String moduleId;

    /**
     * 模块名称
     */
    private String moduleName;

    /**
     * 审批数据的链接
     */
    private String businessUrl;

    /**
     * 审批路径
     */
    private String instanceName;

    /**
     * 处理意见
     */
    private String opinionInfo;

    /**
     * 业务主表名称
     */
    private String fieldKey;

    /**
     * 业务主表名称
     */
    private String fieldName;

    /**
     * 结束时间起
     */
    private Date endStartTime;

    /**
     * 结束时间止
     */
    private Date endEndTime;

    /**
     * 业务数据Id
     */
    private String businessId;

    /**
     * 组名
     */
    private String userGroupName;

    /**
     * @Fields participantName :
     */
    private String participantName;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 数据名称
     */
    private String documentName;

    /**
     * 审批类型
     */
    private String apprType;

    /**
     * @return the apprType
     */
    public String getApprType() {
        return apprType;
    }

    /**
     * @param apprType the apprType to set
     */
    public void setApprType(String apprType) {
        this.apprType = apprType;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the moduleName
     */
    public String getModuleName() {
        return moduleName;
    }

    /**
     * @param moduleName the moduleName to set
     */
    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    /**
     * @return the instanceName
     */
    public String getInstanceName() {
        return instanceName;
    }

    /**
     * @param instanceName the instanceName to set
     */
    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    /**
     * @return the opinionInfo
     */
    public String getOpinionInfo() {
        return opinionInfo;
    }

    /**
     * @param opinionInfo the opinionInfo to set
     */
    public void setOpinionInfo(String opinionInfo) {
        this.opinionInfo = opinionInfo;
    }

    /**
     * @return the fieldKey
     */
    public String getFieldKey() {
        return fieldKey;
    }

    /**
     * @param fieldKey the fieldKey to set
     */
    public void setFieldKey(String fieldKey) {
        this.fieldKey = fieldKey;
    }

    /**
     * @return the userGroupName
     */
    public String getUserGroupName() {
        return userGroupName;
    }

    /**
     * @param userGroupName the userGroupName to set
     */
    public void setUserGroupName(String userGroupName) {
        this.userGroupName = userGroupName;
    }

    /**
     * @return the endStartTime
     */
    public Date getEndStartTime() {
        return endStartTime;
    }

    /**
     * @param endStartTime the endStartTime to set
     */
    public void setEndStartTime(Date endStartTime) {
        this.endStartTime = endStartTime;
    }

    /**
     * @return the endEndTime
     */
    public Date getEndEndTime() {
        return endEndTime;
    }

    /**
     * @param endEndTime the endEndTime to set
     */
    public void setEndEndTime(Date endEndTime) {
        this.endEndTime = endEndTime;
    }

    /**
     * @return the participantName
     */
    public String getParticipantName() {
        return participantName;
    }

    /**
     * @param participantName the participantName to set
     */
    public void setParticipantName(String participantName) {
        this.participantName = participantName;
    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the businessUrl
     */
    public String getBusinessUrl() {
        return businessUrl;
    }

    /**
     * @param businessUrl the businessUrl to set
     */
    public void setBusinessUrl(String businessUrl) {
        this.businessUrl = businessUrl;
    }

    /**
     * @return the businessId
     */
    public String getBusinessId() {
        return businessId;
    }

    /**
     * @param businessId the businessId to set
     */
    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    /**
     * @return the fieldName
     */
    public String getFieldName() {
        return fieldName;
    }

    /**
     * @param fieldName the fieldName to set
     */
    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    /**
     * @return the newTime
     */
    public int getNewTime() {
        return newTime;
    }

    /**
     * @param newTime the newTime to set
     */
    public void setNewTime(int newTime) {
        this.newTime = newTime;
    }

    /**
     * @return the documentName
     */
    public String getDocumentName() {
        return documentName;
    }

    /**
     * @param documentName the documentName to set
     */
    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }
}
