package com.nationrel.modules.project.jar.rb_platform.entity.base;

import java.math.BigDecimal;
import java.util.Date;

public abstract class AbstractSysDocument {

    /**
     * @Fields documentId : 文档ID
     */
    private String documentId;

    /**
     * @Fields documentName : 文档名称
     */
    private String documentName;

    /**
     * @Fields documentType : 文档类型
     */
    private String documentType;

    /**
     * @Fields lifeState : 周期状态
     */
    private String lifeState;

    /**
     * @Fields releaseFlag : 发布标识
     */
    private BigDecimal releaseFlag;

    /**
     * @Fields insertTime : 创建时间
     */
    private Date insertTime;

    /**
     * @Fields insertUserId : 创建者
     */
    private Long insertUserId;

    /**
     * @Fields documentTypeName : 文档类型名称
     */
    private String documentTypeName;

    /**
     * @Fields shareState : 共享表状态(是否存在)
     */
    private String shareState;

    /**
     * @Fields instanceState : 流程实例表状态(是否存在)
     */
    private String instanceState;

    /**
     * @Fields apprDataId : 共享管理ID
     */
    private String apprDataId;

    /**
     * @Fields stateName : 周期状态名称
     */
    private String stateName;

    /**
     * @return the documentId
     */
    public String getDocumentId() {
        return documentId;
    }

    /**
     * @param documentId the documentId to set
     */
    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    /**
     * @return the documentName
     */
    public String getDocumentName() {
        return documentName;
    }

    /**
     * @param documentName the documentName to set
     */
    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    /**
     * @return the documentType
     */
    public String getDocumentType() {
        return documentType;
    }

    /**
     * @param documentType the documentType to set
     */
    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    /**
     * @return the documentTypeName
     */
    public String getDocumentTypeName() {
        return documentTypeName;
    }

    /**
     * @param documentTypeName the documentTypeName to set
     */
    public void setDocumentTypeName(String documentTypeName) {
        this.documentTypeName = documentTypeName;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the releaseFlag
     */
    public BigDecimal getReleaseFlag() {
        return releaseFlag;
    }

    /**
     * @param releaseFlag the releaseFlag to set
     */
    public void setReleaseFlag(BigDecimal releaseFlag) {
        this.releaseFlag = releaseFlag;
    }

    /**
     * @return the insertTime
     */
    public Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public Long getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(Long insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the shareState
     */
    public String getShareState() {
        return shareState;
    }

    /**
     * @param shareState the shareState to set
     */
    public void setShareState(String shareState) {
        this.shareState = shareState;
    }

    /**
     * @return the instanceState
     */
    public String getInstanceState() {
        return instanceState;
    }

    /**
     * @param instanceState the instanceState to set
     */
    public void setInstanceState(String instanceState) {
        this.instanceState = instanceState;
    }

    /**
     * @return the apprDataId
     */
    public String getApprDataId() {
        return apprDataId;
    }

    /**
     * @param apprDataId the apprDataId to set
     */
    public void setApprDataId(String apprDataId) {
        this.apprDataId = apprDataId;
    }

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

}
