// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.jar.rb_platform.entity.base;

/**
 * @ClassName AbstractwfTask
 * @Description 任务表基类
 * @Author 自动生成
 * @CreateDate 2013-11-25
 * @Version V1.0
 */
public abstract class AbstractWfTask {

    /**
     * 任务标识
     */
    private String taskId;

    /**
     * 流程实例标识
     */
    private String instanceId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 活动处理时限
     */
    private Long timeLimit;

    /**
     * 活动处理顺序
     */
    private Integer ordinal;

    /**
     * 描述
     */
    private String description;

    /**
     * 动作标识
     */
    private String actionId;

    /**
     * 活动定义标识
     */
    private String activityId;

    /**
     * 处理人员
     */
    private String participantId;

    /**
     * 处理状态
     */
    private String state;

    /**
     * 是否激活
     */
    private String active;

    /**
     * 激活依据
     */
    private Integer activeNo;

    /**
     * 待办任务开始时间
     */
    private java.util.Date startTime;

    /**
     * 待办任务结束时间
     */
    private java.util.Date endTime;

    /**
     * 任务结束时间
     */
    private java.util.Date finishTime;

    /**
     * 任务可否代理
     */
    private String allowDelegate;

    /**
     * 是否代理
     */
    private String delegateFlag;

    /**
     * 代理任务标识
     */
    private String delegateTaskId;

    /**
     * 任务是否已接受
     */
    private String acceptFlag;

    /**
     * 同一用户组编码
     */
    private String userGroupId;

    /**
     * 是否终结任务
     */
    private String lastTaskFlag;

    /**
     * 附加信息1
     */
    private String extInfo1;

    /**
     * 附加信息2
     */
    private String extInfo2;

    /**
     * 附加信息3
     */
    private String extInfo3;

    /**
     * 创建时间
     */
    private java.util.Date insertTime;

    /**
     * 创建者
     */
    private Long insertUserId;

    /**
     * 创建程序ID
     */
    private String insertPgmId;

    /**
     * 更新时间
     */
    private java.util.Date updateTime;

    /**
     * 更新者
     */
    private Long updateUserId;

    /**
     * 更新程序ID
     */
    private String updatePgmId;


    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the instanceId
     */
    public String getInstanceId() {
        return instanceId;
    }

    /**
     * @param instanceId the instanceId to set
     */
    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    /**
     * @return the taskName
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * @param taskName the taskName to set
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    /**
     * @return the timeLimit
     */
    public Long getTimeLimit() {
        return timeLimit;
    }

    /**
     * @param timeLimit the timeLimit to set
     */
    public void setTimeLimit(Long timeLimit) {
        this.timeLimit = timeLimit;
    }

    /**
     * @return the ordinal
     */
    public Integer getOrdinal() {
        return ordinal;
    }

    /**
     * @param ordinal the ordinal to set
     */
    public void setOrdinal(Integer ordinal) {
        this.ordinal = ordinal;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the actionId
     */
    public String getActionId() {
        return actionId;
    }

    /**
     * @param actionId the actionId to set
     */
    public void setActionId(String actionId) {
        this.actionId = actionId;
    }

    /**
     * @return the activityId
     */
    public String getActivityId() {
        return activityId;
    }

    /**
     * @param activityId the activityId to set
     */
    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

    /**
     * @return the participantId
     */
    public String getParticipantId() {
        return participantId;
    }

    /**
     * @param participantId the participantId to set
     */
    public void setParticipantId(String participantId) {
        this.participantId = participantId;
    }

    /**
     * @return the state
     */
    public String getState() {
        return state;
    }

    /**
     * @param state the state to set
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * @return the active
     */
    public String getActive() {
        return active;
    }

    /**
     * @param active the active to set
     */
    public void setActive(String active) {
        this.active = active;
    }

    /**
     * @return the activeNo
     */
    public Integer getActiveNo() {
        return activeNo;
    }

    /**
     * @param activeNo the activeNo to set
     */
    public void setActiveNo(Integer activeNo) {
        this.activeNo = activeNo;
    }

    /**
     * @return the startTime
     */
    public java.util.Date getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(java.util.Date startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public java.util.Date getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(java.util.Date endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the finishTime
     */
    public java.util.Date getFinishTime() {
        return finishTime;
    }

    /**
     * @param finishTime the finishTime to set
     */
    public void setFinishTime(java.util.Date finishTime) {
        this.finishTime = finishTime;
    }

    /**
     * @return the allowDelegate
     */
    public String getAllowDelegate() {
        return allowDelegate;
    }

    /**
     * @param allowDelegate the allowDelegate to set
     */
    public void setAllowDelegate(String allowDelegate) {
        this.allowDelegate = allowDelegate;
    }

    /**
     * @return the delegateFlag
     */
    public String getDelegateFlag() {
        return delegateFlag;
    }

    /**
     * @param delegateFlag the delegateFlag to set
     */
    public void setDelegateFlag(String delegateFlag) {
        this.delegateFlag = delegateFlag;
    }

    /**
     * @return the delegateTaskId
     */
    public String getDelegateTaskId() {
        return delegateTaskId;
    }

    /**
     * @param delegateTaskId the delegateTaskId to set
     */
    public void setDelegateTaskId(String delegateTaskId) {
        this.delegateTaskId = delegateTaskId;
    }

    /**
     * @return the acceptFlag
     */
    public String getAcceptFlag() {
        return acceptFlag;
    }

    /**
     * @param acceptFlag the acceptFlag to set
     */
    public void setAcceptFlag(String acceptFlag) {
        this.acceptFlag = acceptFlag;
    }

    /**
     * @return the userGroupId
     */
    public String getUserGroupId() {
        return userGroupId;
    }

    /**
     * @param userGroupId the userGroupId to set
     */
    public void setUserGroupId(String userGroupId) {
        this.userGroupId = userGroupId;
    }

    /**
     * @return the lastTaskFlag
     */
    public String getLastTaskFlag() {
        return lastTaskFlag;
    }

    /**
     * @param lastTaskFlag the lastTaskFlag to set
     */
    public void setLastTaskFlag(String lastTaskFlag) {
        this.lastTaskFlag = lastTaskFlag;
    }

    /**
     * @return the extInfo1
     */
    public String getExtInfo1() {
        return extInfo1;
    }

    /**
     * @param extInfo1 the extInfo1 to set
     */
    public void setExtInfo1(String extInfo1) {
        this.extInfo1 = extInfo1;
    }

    /**
     * @return the extInfo2
     */
    public String getExtInfo2() {
        return extInfo2;
    }

    /**
     * @param extInfo2 the extInfo2 to set
     */
    public void setExtInfo2(String extInfo2) {
        this.extInfo2 = extInfo2;
    }

    /**
     * @return the extInfo3
     */
    public String getExtInfo3() {
        return extInfo3;
    }

    /**
     * @param extInfo3 the extInfo3 to set
     */
    public void setExtInfo3(String extInfo3) {
        this.extInfo3 = extInfo3;
    }

    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }

    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * @return the insertUserId
     */
    public Long getInsertUserId() {
        return insertUserId;
    }

    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(Long insertUserId) {
        this.insertUserId = insertUserId;
    }

    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }

    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }

    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @return the updateUserId
     */
    public Long getUpdateUserId() {
        return updateUserId;
    }

    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }

    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }
}
