// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaLevelCof;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;

import java.util.List;

/**
 * @ClassName PaLevelCofMapper
 * @Description PA执行效率等级配置表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaLevelCofMapper extends BaseMapper<PaLevelCof, String> {

    /**
     * @Title: selectAll
     * @Description: 获取执行效率等级配置
     * @return List<PaLevelCof>
     */
    List<PaLevelCof> selectAll();

}
