// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypeCof;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PaTypeCofMapper
 * @Description PA措施种类配置表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypeCofMapper extends BaseMapper<PaTypeCof, String> {

    /**
     * @Title: selectMeasureList
     * @Description: 获取预防性措施列表
     * @param paPartId
     * @return List<PaTypeCof>
     */
    List<Map<String, String>> selectMeasureList(@Param("paPartId") String paPartId);
}
