package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300101DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300101DeleteOutput;

/**
 * @version V1.0
 * @ClassName Rb0300101DeleteService
 * @Description 项目对象删除的业务接口
 * @Author andy
 * @CreateDate 2013-12-10
 */
public interface Rb0300101DeleteService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目对象删除的方法
     */
    String perform(Rb0300101DeleteInput input, Rb0300101DeleteOutput output) throws Exception;
}
