package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300101InitInput;
import com.nationrel.modules.project.dto.output.Rb0300101InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300101InitService
 * @Description 项目列表初始化业务类
 * @Author andy
 * @CreateDate 2013-12-4
 */
public interface Rb0300101InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0300101InitInput input, Rb0300101InitOutput output) throws Exception;
}
