package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300102InitInput;
import com.nationrel.modules.project.dto.output.Rb0300102InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300102InitService
 * @Description 项目对象查看初始化的业务接口
 * @Author andy
 * @CreateDate 2013-12-12
 */
public interface Rb0300102InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 查看项目对象初始化的业务方法
     */
    String perform(Rb0300102InitInput input, Rb0300102InitOutput output) throws Exception;
}
