package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300102MoveTgInput;
import com.nationrel.modules.project.dto.output.Rb0300102MoveTgOutput;

/**
 * @version V1.0
 * @ClassName Rb0300102MoveTgService
 * @Description TG移动业务接口
 * @Author andy
 * @CreateDate 2013-12-17
 */
public interface Rb0300102MoveTgService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description TG移动业务方法
     */
    String perform(Rb0300102MoveTgInput input, Rb0300102MoveTgOutput output) throws Exception;
}
