package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300103InitInput;
import com.nationrel.modules.project.dto.output.Rb0300103InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300103InitService
 * @Description 项目视图页面初始化的业务接口
 * @Author andy
 * @CreateDate 2014-03-03
 */
public interface Rb0300103InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 查看项目对象初始化的业务方法
     */
    String perform(Rb0300103InitInput input, Rb0300103InitOutput output) throws Exception;
}
