package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300130DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300130DeleteOutput;

/**
 * @version V1.0
 * @ClassName Rb0300130DeleteService
 * @Description 检查项删除业务接口
 * @Author ted
 * @CreateDate 2013-12-18
 */
public interface Rb0300130DeleteService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项删除的业务方法
     */
    String perform(Rb0300130DeleteInput input, Rb0300130DeleteOutput output) throws Exception;
}
