package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300132InitInput;
import com.nationrel.modules.project.dto.output.Rb0300132InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300132InitService
 * @Description 项目检查项编辑初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-18
 */
public interface Rb0300132InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项编辑页面初期化的业务方法
     */
    String perform(Rb0300132InitInput input, Rb0300132InitOutput output) throws Exception;
}
