package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300140SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300140SaveOutput;

/**
 * @version V1.0
 * @ClassName Rb0300140SaveService
 * @Description 项目成员保存业务接口
 * @Author andy
 * @CreateDate 2013-12-25
 */
public interface Rb0300140SaveService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员列表初始化的业务方法
     */
    String perform(Rb0300140SaveInput input, Rb0300140SaveOutput output) throws Exception;
}
