package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300142SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300142SaveOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;


/**
 * @version V1.0
 * @ClassName Rb0300142SaveService
 * @Description 成员编辑保存的业务接口
 * @Author andy
 * @CreateDate 2013-12-24
 */
public interface Rb0300142SaveService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 成员编辑保存的业务方法
     */
    String perform(Rb0300142SaveInput input, Rb0300142SaveOutput output) throws Exception;

    /**
     * @param role
     * @param userId
     * @return MessageId
     * @Title: checkRoleForReliaFlow
     * @Description: 项目总监&&项目经理唯一性检查
     */
    MessageId checkRoleForProject(Integer type, String roleId, String userId);
}
