package com.nationrel.modules.project.service;


import com.nationrel.modules.project.dto.input.Rb0300151AddDeliveryInput;
import com.nationrel.modules.project.dto.output.Rb0300151AddDeliveryOutput;

/**
 * @version V1.0
 * @ClassName Rb0300151AddDeliveryService
 * @Description 任务交付物添加的业务接口
 * @Author aaron
 * @CreateDate 2013-12-24
 */
public interface Rb0300151AddDeliveryService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务交付物添加的业务方法
     */
    String perform(Rb0300151AddDeliveryInput input, Rb0300151AddDeliveryOutput output) throws Exception;
}
