package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300160InitInput;
import com.nationrel.modules.project.dto.output.Rb0300160InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300160InitService
 * @Description 项目阶段初始化的业务接口
 * @Author ted
 * @CreateDate 2013-12-18
 */
public interface Rb0300160InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目阶段初始化的业务方法
     */
    String perform(Rb0300160InitInput input, Rb0300160InitOutput output) throws Exception;
}
