package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300210InitInput;
import com.nationrel.modules.project.dto.output.Rb0300210InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300210InitService
 * @Description TG查看页面初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-18
 */
public interface Rb0300210InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description TG查看页面初始化业务方法
     */
    String perform(Rb0300210InitInput input, Rb0300210InitOutput output) throws Exception;
}
