package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300211InitInput;
import com.nationrel.modules.project.dto.output.Rb0300211InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300211InitService
 * @Description TG创建初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-17
 */
public interface Rb0300211InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description TG列表初始化的业务方法
     */
    String perform(Rb0300211InitInput input, Rb0300211InitOutput output) throws Exception;
}
