package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300220InitInput;
import com.nationrel.modules.project.dto.output.Rb0300220InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300220InitService
 * @Description 任务列表初始化的业务接口
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
public interface Rb0300220InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务列表初始化的业务方法
     */
    String perform(Rb0300220InitInput input, Rb0300220InitOutput output) throws Exception;
}
