package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300360CheckInput;
import com.nationrel.modules.project.dto.output.Rb0300360CheckOutput;

/**
 * @version V1.0
 * @ClassName Rb0300360CheckService
 * @Description Task阶段检查初始化的业务接口
 * @Author ted
 * @CreateDate 2013-12-18
 */
public interface Rb0300360CheckService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description Task阶段检查的业务方法
     */
    String perform(Rb0300360CheckInput input, Rb0300360CheckOutput output) throws Exception;
}
