package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300370InitInput;
import com.nationrel.modules.project.dto.output.Rb0300370InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300370InitService
 * @Description 工具添加初始化服务
 * @Author 孔徐文
 * @CreateDate 2014-4-28
 */
public interface Rb0300370InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 工具添加初期化业务方法
     */
    String perform(Rb0300370InitInput input, Rb0300370InitOutput output) throws Exception;
}
