package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0300370SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300370SaveOutput;

/**
 * @version V1.0
 * @ClassName Rb0300370SaveService
 * @Description 工具添加保存服务
 * @Author 孔徐文
 * @CreateDate 2014-4-29
 */
public interface Rb0300370SaveService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 工具添加保存业务方法
     */
    String perform(Rb0300370SaveInput input, Rb0300370SaveOutput output) throws Exception;
}
