package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405201DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0405201DeleteOutput;

/**
 * @version V1.0
 * @ClassName Rb0405201DeleteService
 * @Description 预防性措施管理删除业务接口
 * @Author denise
 * @CreateDate 2014-04-29
 */
public interface Rb0405201DeleteService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0405201DeleteInput input, Rb0405201DeleteOutput output) throws Exception;
}
