package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405202InitInput;
import com.nationrel.modules.project.dto.output.Rb0405202InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405202InitService
 * @Description 预防性措施规划创建初始化业务接口
 * @Author andy
 * @CreateDate 2014-04-22
 */
public interface Rb0405202InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0405202InitInput input, Rb0405202InitOutput output) throws Exception;
}
