package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405202SaveInput;
import com.nationrel.modules.project.dto.output.Rb0405202SaveOutput;

/**
 * @version V1.0
 * @ClassName Rb0405202SaveService
 * @Description 预防性措施规划创建业务接口
 * @Author andy
 * @CreateDate 2014-04-23
 */
public interface Rb0405202SaveService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0405202SaveInput input, Rb0405202SaveOutput output) throws Exception;
}
