package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405203InitInput;
import com.nationrel.modules.project.dto.output.Rb0405203InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405203InitService
 * @Description 预防性措施规划基本信息编辑初始化业务接口
 * @Author andy
 * @CreateDate 2014-04-24
 */
public interface Rb0405203InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0405203InitInput input, Rb0405203InitOutput output) throws Exception;
}
