package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405212InitInput;
import com.nationrel.modules.project.dto.output.Rb0405212InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405212InitService
 * @Description 预防性措施规划编辑(图形)初始化业务接口
 * @Author andy
 * @CreateDate 2014-04-30
 */
public interface Rb0405212InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 项目列表初始化业务方法
     */
    String perform(Rb0405212InitInput input, Rb0405212InitOutput output) throws Exception;
}
