package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405213InitInput;
import com.nationrel.modules.project.dto.output.Rb0405213InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405213InitService
 * @Description 预防性措施规划查看(列表)初始化业务接口
 * @Author andy
 * @CreateDate 2014-05-05
 */
public interface Rb0405213InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 预防性措施规划查看(列表)初始化业务方法
     */
    String perform(Rb0405213InitInput input, Rb0405213InitOutput output) throws Exception;
}
