package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405232InitInput;
import com.nationrel.modules.project.dto.output.Rb0405232InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405232InitService
 * @Description 预防性措施规划任务查看初始化业务接口
 * @Author andy
 * @CreateDate 2014-05-05
 */
public interface Rb0405232InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 预防性措施规划任务查看初始化业务方法
     */
    String perform(Rb0405232InitInput input, Rb0405232InitOutput output) throws Exception;
}
