package com.nationrel.modules.project.service;

import com.nationrel.modules.project.dto.input.Rb0405322InitInput;
import com.nationrel.modules.project.dto.output.Rb0405322InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0405322InitService
 * @Description 预防性措施规划追踪(图形)初始化业务接口
 * @Author andy
 * @CreateDate 2014-05-09
 */
public interface Rb0405322InitService {

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return String 返回结果
     * @Title: perform
     * @Description 预防性措施规划查看(图形)初始化业务方法
     */
    String perform(Rb0405322InitInput input, Rb0405322InitOutput output) throws Exception;
}
